# Generated by configure.  Do not edit.
# git revision 43191b6c05cd7f7342e4e16ae8f8063d126a99e3
# git tag libsynthesis_3.4.0.47+syncevolution-1-99-2

2021-02-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync_SDK/Sources/san.cpp:
	* src/sysync_SDK/Sources/san.h:

	san: avoid "byte" typedef

2021-02-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/stdlogicds.cpp:
	* src/sysync/superdatastore.cpp:

	avoid ambiguous (?) empty() call

2020-08-15  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:
	* src/platform_adapters/unix_common/platform_file.cpp:

	build: fix compile issues with gcc 9.2.1

2020-03-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/timezones.cpp:

	timezone.cpp: fix Clang warning

2017-12-21  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:
	* m4-repo/ax_cxx_compile_stdcxx.m4:
	* m4-repo/ax_cxx_compile_stdcxx_11.m4:
	* m4-repo/ax_cxx_compile_stdcxx_14.m4:

	autotools: build as C++14 or C++11, if possible

2017-12-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/DLL_interface.cpp:
	* src/DB_interfaces/api_db/DLL_interface.h:

	DLL_interface: avoid undefined varg behavior

2017-12-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/linux/platform_timezones.cpp:

	platform_timezones.cpp: avoid non-standard typeof

2017-12-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync_SDK/Sources/sysync_utils.cpp:
	* src/sysync_SDK/Sources/sysync_utils.h:

	sysync_utils: fix clang warnings

2017-12-14  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:
	* src/platform_adapters/linux/platform_timezones.cpp:

	libical: support libical v3

2017-12-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplclient.cpp:
	* src/sysync/customimplds.cpp:
	* src/sysync/localengineds.cpp:
	* src/sysync_SDK/Sources/generic_types.h:

	sysync: clean up cppcheck warnings

2017-12-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/superdatastore.h:

	datastores: fix error paths

2017-09-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/itemfield.cpp:

	itemfield.cpp: fix new/delete mismatch

2017-09-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncml_tk/src/sml/xlt/all/xltenc.c:

	xltenc.c: fix integer underflow

2016-10-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/mimedirprofile.cpp:

	mimedirprofile.cpp: support broken quoted-printable from Nokia N9
	(FDO #98019)

2016-08-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:

	localengineds.cpp: avoid cppcheck warning

2016-08-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncsession.h:

	syncsession.h: fix TDevInfResultsCommand::shrinkCommand()

2016-08-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/itemfield.cpp:

	itemfield.cpp: gcc6/C++14 compatibility

2016-08-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Targets/ReleasedProducts/clientEngine_opensource_linux/clientengine_demo_x86_linux_prefix.h:
	* src/Targets/ReleasedProducts/combiEngine_opensource_linux/combiengine_opensource_linux_prefix.h:
	* src/Targets/ReleasedProducts/serverEngine_opensource_linux/serverengine_opensource_linux_prefix.h:
	* src/platform_adapters/linux/platform_time.cpp:

	Linux: avoid _BSD_SOURCE deprecation warning from gcc 6

2016-08-26  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:
	* src/Makefile.am.in:
	* src/platform_adapters/linux/platform_timezones.cpp:

	Linux time zones: modernize libical support

2016-08-26  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:

	configure.in: avoid indention warnings from gcc 6

2015-03-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/customimplds.cpp:

	TCustomImplDS::getItemFromSyncSetItem: remove redundant NULL
	check

2015-03-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/DLL_interface.cpp:

	DLL API: fix potential va_start leak

2015-03-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/stringutils.cpp:

	vStringObjPrintf: fix potential va_start leak

2015-02-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/linux/platform_DLL.cpp:

	platform_DLL.cpp: avoid redundant "this" pointer check

2015-02-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/iso8601.cpp:

	iso8601.cpp: fix abs(long) compiler warning

2015-02-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/mimedirprofile.cpp:

	MIME encoder: no quotation marks around TZID values

2014-10-30  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:

	autotools: bump Linux/SyncEvolution sub-version for
	RELAXEDCOMPARE()

2014-10-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/multifielditemtype.cpp:

	merge script: check order of entries in RELAXEDCOMPARE()

2014-10-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/multifielditem.cpp:
	* src/sysync/multifielditem.h:
	* src/sysync/multifielditemtype.cpp:

	merge scripts: new RELAXEDCOMPARE(), enhanced MERGEFIELDS()

2014-09-10  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:

	autotools: bump Linux/SyncEvolution sub-version for memory
	function pointers and bug fixes

2014-09-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncsession.cpp:

	engine: fix use-after-free bug when delaying command execution

2014-09-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Targets/ReleasedProducts/combiEngine_opensource_linux/target_options.h:

	config: enable memory function pointers for Linux combi engine

2014-09-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncml_tk/src/sml/inc/smldef.h:
	* src/syncml_tk/src/sml/lib/all/libmem.c:
	* src/syncml_tk/src/sml/lib/inc/libmem.h:

	SMLTK: call memory functions through pointers

2014-09-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncml_tk/src/sml/inc/smldef.h:

	SMLTK: use sane MemSize_t when stdint.h is available

2014-09-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:
	* src/sysync/syncagent.cpp:
	* src/sysync/synccommand.cpp:
	* src/sysync/syncitemtype.cpp:

	avoid assumptions about MemSize_t type

2014-09-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncml_tk/src/sml/inc/sml.h:

	SMLTK: eliminate redundant prototypes in sml.h

2014-09-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/binfile.cpp:

	binfile: avoid unnecessary write and truncate

2014-08-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplds.cpp:

	binfileclient: avoid disk writes in changeLogPreflight()

2014-08-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncsession.cpp:

	syncsession: avoid unnecessary nonce update

2014-07-22  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:

	autotools: modernize AM_INIT_AUTOMAKE/AC_INIT

2014-07-22  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:

	autotools: bump Linux/SyncEvolution sub-version for /dev/null
	binfiles

2014-07-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/binfile.cpp:
	* src/platform_adapters/binfile.h:

	binfile: /dev/null datadir path

2014-07-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:
	* src/sysync/mimediritemtype.cpp:
	* src/sysync/scriptcontext.cpp:

	dead code removal

2014-07-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplds.cpp:

	binfile: avoid error logging of LOCERR_AGAIN

2014-07-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:

	ODBC: avoid clang warning

2014-07-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/itemfield.cpp:

	string fields: full compare

2014-07-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/customimplds.cpp:

	fix asynchronous item update

2014-07-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/stdlogicds.cpp:

	stdlogicds: avoid implicit NULL->false conversion

2014-07-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/odbc_db/odbcapids.h:

	odbc: remove unused member

2014-07-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncml_tk/src/sml/xlt/all/xltdecxml.c:

	smltk: fix signed/unsigned comparison

2014-07-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplclient.cpp:

	binfile: remove unused local variables

2014-07-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/dbapi.cpp:

	SDK: fix gcc 4.9 warning

2014-07-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/customimplds.cpp:
	* src/sysync/localengineds.cpp:
	* src/sysync/stdlogicds.cpp:

	cppcheck annotations

2014-07-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync_SDK/Sources/dbitem.cpp:

	SDK: avoid cppcheck warning

2014-05-17  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:

	autotools: bump Linux/SyncEvolution sub-version for
	URLENCODE/DECODE and sharedfield

2014-05-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/mimedirprofile.cpp:

	mimedir parser: avoid reusing group tag

2014-05-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/debuglogger.cpp:
	* src/sysync/debuglogger.h:

	logging: threaded logging when reusing logger

2014-05-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/mimedirprofile.cpp:

	MIME parser + encoder: remove dead code

2014-05-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/scriptcontext.cpp:

	scripting: fix memory leak in SWAP()

2014-05-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/scriptcontext.cpp:
	* src/sysync_SDK/Sources/sysync_utils.cpp:
	* src/sysync_SDK/Sources/sysync_utils.h:

	scripting: URL encode/decode

2014-05-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/mimedirprofile.cpp:

	MIME parser + encoder: no backslash quoting in parameter values

2014-05-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/mimedirprofile.cpp:
	* src/sysync/mimedirprofile.h:

	profile: <parameter sharedfield>

2014-01-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/debuglogger.cpp:

	debuglogger: close log file on exec

2014-01-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/synccommand.cpp:
	* src/sysync/synccommand.h:

	binfileclient: support sending NumberOfChanges

2014-01-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync_SDK/Sources/sysync_b64.cpp:

	sysync_b64: avoid false positive with scan-build

2014-01-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncsession.cpp:

	syncsession: track pointer

2014-01-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncml_tk/src/sml/mgr/all/mgrutil.c:

	SyncML TK: fix invalid memory allocation

2014-01-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Transport_interfaces/engine/enginesessiondispatch.cpp:

	enginesessiondispatch: additional NULL check

2014-01-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplclient.cpp:

	binfileimplclient: simplify code flow analysis

2014-01-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapids.cpp:

	fix delete/delete [] mistakes

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfilebase.cpp:

	binfilebase: avoid virtual methods in destructor

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:
	* src/sysync/textprofile.cpp:
	* src/sysync_SDK/Sources/stringutil.cpp:

	fix new [] and delete mismatch

2013-11-21  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:

	autotools: bump version to upstream release

2013-11-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncsession.cpp:

	engine: fix LOCERR_AGAIN handling with strict exec ordering

2013-10-29  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:

	autotools: bump Linux/SyncEvolution sub-version for DLT support

2013-10-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/linux/configfiles.cpp:

	Linux: avoid expensive network hostname lookup (FDO #70771)

2013-10-22  Patrick Ohly  <patrick.ohly@intel.com>

	* README.DLT:
	* configure.in:
	* src/Makefile.am.in:
	* src/sysync/debuglogger.cpp:
	* src/sysync/debuglogger.h:

	logging: support DLT

2013-07-11  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:

	autotools: bump Linux/SyncEvolution sub-version for
	CA_ResumeSupported

2013-07-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/linux/platform_time.cpp:

	Linux: speed up getSystemNowAs(TCTX_SYSTEM)

2013-07-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/DB_interfaces/api_db/pluginapids.h:
	* src/sysync_SDK/Sources/sync_dbapidef.h:

	Plugin: allow overriding support for suspend/resume

2013-07-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/unix_common/platform_thread.cpp:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/synccommand.h:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:

	linux: fix multithreading under valgrind

2013-07-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/multifielditem.cpp:
	* src/sysync/multifielditemtype.cpp:
	* src/sysync/multifielditemtype.h:

	engine: <mergescript> + caching mode

2013-07-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/multifielditemtype.cpp:

	engine: fix MERGEFIELDS()

2013-07-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/customimplagent.cpp:
	* src/sysync/scriptcontext.h:

	scripting: share param arrays

2013-07-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:

	engine: conflict counting + caching

2013-06-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/synccommand.cpp:

	synccommand: fix StatusCmd leak when command gets queued

2013-06-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/synccommand.cpp:
	* src/sysync/synccommand.h:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:
	* src/sysync/sysync_globs.h:

	ensure ordering of status replies

2013-06-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/syncml_tk/src/sml/inc/smldtd.h:
	* src/syncml_tk/src/sml/mgr/all/mgrutil.c:
	* src/sysync/customimplds.cpp:
	* src/sysync/localengineds.cpp:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/syncitem.cpp:
	* src/sysync/syncitem.h:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:
	* src/sysync_SDK/Sources/syerror.h:
	* src/sysync_SDK/Sources/sysync_utils.cpp:

	asynchronous command execution

2013-06-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/engineinterface.cpp:

	logging: include prefix in output

2013-06-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:

	syncsession: move code into new tryDelayedExecutionCommands()

2013-04-24  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:

	autotools: bump Linux/SyncEvolution sub-version for thread
	support

2013-04-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Targets/ReleasedProducts/combiEngine_opensource_linux/target_options.h:
	* src/gen-makefile-am.sh:

	Linux: enable multithreading for combi engine

2013-05-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/debuglogger.cpp:
	* src/sysync/debuglogger.h:

	debuglogger: fix use-after-free bug with separate logs

2013-05-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/debuglogger.cpp:

	debuglogger: fix uninitialized memory read when using separate
	logs

2013-04-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/unix_common/platform_thread.cpp:
	* src/synthesis-linker.map:

	Linux: allow overriding blocking pthread code

2013-04-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/unix_common/platform_thread.cpp:

	Linux: fix compiler warning in threading code

2013-04-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/stdlogicds.cpp:

	TStdLogicDS: fix uninitialized memory read when using
	multithreading

2013-04-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/platform_thread.h:
	* src/sysync/debuglogger.cpp:
	* src/sysync/debuglogger.h:
	* src/sysync/stdlogicds.cpp:

	engine: fix thread support for Linux

2013-03-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync_SDK/Sources/SDK_util.c:
	* src/sysync_SDK/Sources/blobs.cpp:

	SDK: handle malloc failures

2013-03-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplds.cpp:

	binfileimplds: avoid potential uninitialized memory read

2013-03-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplclient.cpp:

	binfileclient: avoid leak

2013-03-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncml_tk/src/sml/xlt/all/xltdec.c:

	SyncML Toolkit: avoid use-after-free bug

2013-03-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapids.h:
	* src/Transport_interfaces/engine/enginesessiondispatch.h:
	* src/sysync/debuglogger.h:
	* src/sysync/engineinterface.h:
	* src/sysync/itemfield.h:
	* src/sysync/mimedirprofile.h:
	* src/sysync/syncappbase.h:
	* src/sysync/synccommand.h:
	* src/sysync/syncdatastore.h:
	* src/sysync/syncitem.h:
	* src/sysync/syncitemtype.h:
	* src/sysync_SDK/Sources/dbitem.h:
	* src/sysync_SDK/Sources/enginemodulebase.h:
	* src/sysync_SDK/Sources/san.h:
	* src/sysync_SDK/Sources/sysync_noncopyable.h:
	* src/sysync_SDK/Sources/sysync_utils.h:

	mark classes a noncopyable

2013-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/DLL_interface.cpp:

	DLL DB interface: fix memory leak in error path

2013-02-27  Patrick Ohly  <patrick.ohly@intel.com>


	Merge remote-tracking branch 'gitorious/master'

2013-02-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/stdlogicds.cpp:

	caching mode: fix memory leak

2012-12-27  Lukas Zeller  <luz@plan44.ch>

	* src/global_options.h:

	libsynthesis 3.4.0.47

2012-12-27  Lukas Zeller  <luz@plan44.ch>


	Merge remote-tracking branch 'refs/remotes/plan44.ch/iossdkfull'
	into syncmlios

2012-12-24  Lukas Zeller  <luz@plan44.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/sysync_ios.xcodeproj/project.pbxproj:
	* src/sysync_ios.xcodeproj/xcshareddata/xcschemes/static_clientEngine_opensource_ios.xcscheme:
	* src/sysync_ios.xcodeproj/xcshareddata/xcschemes/static_combiEngine_opensource_ios.xcscheme:

	Silenced warning, updated settings according to XCode
	recommendations

2012-12-24  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/stdlogicds.cpp:

	Added missing #ifdef that prevented client-only library build
	since 758c470e92 (engine: initial support for caching of remote
	data)

2012-11-26  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/syncagent.cpp:

	Minor comment cosmetics

2012-11-26  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_SDK/sdk_sources_cocoa/dbplugin_cocoa.h:
	* src/sysync_SDK/sdk_sources_cocoa/dbplugin_cocoa.m:

	cocoa db plugin: added newOpenKeyByPath to allow plugins to open
	global settings keys (like for example engine info or config
	vars)

2012-11-05  Lukas Zeller  <luz@plan44.ch>

	* src/global_options.h:

	libsynthesis 3.4.0.46

2012-11-01  Patrick Ohly  <patrick.ohly@intel.com>


	Merge tag 'libsynthesis_3.4.0.45' into pbap

2012-10-29  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/synccommand.cpp:

	processing sync op command containing chunked item w/o data (as
	OCS apparently can generate): made sure command returns status

2012-10-10  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/localengineds.cpp:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:

	SyncModeExtensions: added config flag <syncmodeextensions> that
	must be set in config to enable non-standard sync modes to be
	added into config. This is because some servers fail to work when
	non-standard modes are present, so by default they are off now.

2012-10-02  Lukas Zeller  <luz@plan44.ch>

	* src/global_options.h:

	libsynthesis 3.4.0.45

2012-10-02  Lukas Zeller  <luz@plan44.ch>


	Merge remote-tracking branch 'refs/remotes/plan44.ch/syncmlios'
	into luz

2012-10-01  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/customimplds.cpp:
	* src/sysync/syncagent.cpp:

	Fixes small ifdef issues which made compiling for server-only
	fail

2012-10-01  Lukas Zeller  <luz@plan44.ch>


	Merge branch 'refs/heads/luz_rebased' into luz

2012-09-26  Lukas Zeller  <luz@plan44.ch>

	* src/platform_adapters/macosx/configfiles.mm:

	iOS6 bug workaround - identifierForVendor returning
	00000000-0000-0000-0000-000000000000 will now fall back to return
	UDID instead.

2012-09-22  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_ios.xcodeproj/xcshareddata/xcschemes/static_combiEngine_opensource_ios.xcscheme:

	XCode 4.5 - cosmetic scheme opening side effect

2012-09-17  Lukas Zeller  <luz@plan44.ch>

	* Synthesis_AG_Contributor_Agreement.doc:
	* Synthesis_AG_Contributor_Agreement.pdf:
	* libsynthesis_contributor_agreement.doc:
	* libsynthesis_contributor_agreement.pages:
	* libsynthesis_contributor_agreement.pdf:

	updated contributor agreement name

2012-09-15  Lukas Zeller  <luz@plan44.ch>

	* src/Targets/ReleasedProducts/clientEngine_opensource_ios/target_options.h:
	* src/Targets/ReleasedProducts/combiEngine_opensource_ios/target_options.h:

	iOS: release builds no longer have extended debug, just normal.

2012-09-14  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_ios.xcodeproj/project.pbxproj:

	iOS6/XCode 4.5: no longer building for armv6, but now for armv7s
	(in addition to armv7)

2012-09-13  Patrick Ohly  <patrick.ohly@intel.com>


	Merge branch 'master' into pbap

2012-09-10  Lukas Zeller  <luz@plan44.ch>

	* src/platform_adapters/macosx/configfiles.mm:

	configfiles: Fixed iOS6 case, was missing conversion to C string

2012-09-10  Lukas Zeller  <luz@plan44.ch>

	* src/platform_adapters/macosx/configfiles.mm:

	iOS: changed to using identifierForVendor instead of deprecated
	UUID in iOS6

2012-09-10  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:

	autotools: bumped minor version

2012-09-09  Lukas Zeller  <luz@plan44.ch>


	Merge remote-tracking branch 'refs/remotes/plan44.ch/syncmlios'
	into syncmlios_air

2012-09-09  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/binfileimplclient.cpp:

	binfile: Fixed bug in deleteProfile() introduced in 2008 - after
	deleting last profile settings file was not recreated correctly,
	so subsequent operations (like adding a new profile) did not work
	until app was restarted.

2012-09-07  Lukas Zeller  <luz@plan44.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/sysync/binfileimplds.cpp:
	* src/sysync/customimplds.cpp:

	TPluginAPIDS: protected dsFinalizeLocalID() from calling into
	plugin before DBApi_Data has been initialized (created a DB
	context).

2012-09-06  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_ios.xcodeproj/project.pbxproj:
	* src/sysync_ios.xcodeproj/xcshareddata/xcschemes/static_clientEngine_opensource_ios.xcscheme:
	* src/sysync_ios.xcodeproj/xcshareddata/xcschemes/static_combiEngine_opensource_ios.xcscheme:

	XCode 4.4: applied recommended scheme updates (use LLDB, no
	longer GDB - howvever needed to do it manually as debugger for
	test action is not automatically upgraded, only setting for run
	action is).

2012-09-05  Lukas Zeller  <luz@plan44.ch>


	Merge remote-tracking branch 'refs/remotes/plan44.ch/luz_rebased'
	into syncmlios

2012-09-05  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/syncagent.cpp:

	Fixed merge artifact (missing comma)

2012-09-05  Lukas Zeller  <luz@plan44.ch>


	Merge remote-tracking branch 'refs/remotes/plan44.ch/luz_rebased'
	into syncmlios

2012-08-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:
	* src/sysync/multifielditem.cpp:
	* src/sysync/multifielditem.h:
	* src/sysync/multifielditemtype.cpp:
	* src/sysync/syncitem.h:

	engine: override merge options

2012-08-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/itemfield.cpp:

	engine: ignore unassigned entries at end of array

2012-08-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:
	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/stdlogicds.h:

	engine: initial support for caching of remote data

2012-09-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/customimplds.cpp:

	engine: updated logging of sync keys

2012-09-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncml_tk/src/sml/xlt/all/xltdec.c:
	* src/syncml_tk/src/sml/xlt/all/xltdeccom.h:
	* src/syncml_tk/src/sml/xlt/all/xltdecwbxml.c:
	* src/syncml_tk/src/sml/xlt/all/xltdecxml.c:

	SyncML TK: don't read past end of buffer

2012-08-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/textitemtype.cpp:
	* src/sysync/textitemtype.h:

	engine: allow text->VJOURNAL conversion

2012-07-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Makefile.am.in:

	autotools: must link against libpthreads

2012-06-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:

	CtCap: Funambol workaround

2012-06-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncagent.h:

	sync client: made sync mode choice configurable

2012-06-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:

	SyncCap: compatibility enhancement for Nokia phones

2012-08-29  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/stdlogicds.cpp:

	engine: item counting corrected (before, items that could not be
	sent in the current message and were queued for the next message
	were not counted in the statistics and also not reported via
	pev_itemsent progress event)

2012-08-23  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_SDK/sdk_sources_cocoa/SyncEngine.m:

	Cocoa wrapper: added conditionals to allow using in ARC code,
	silenced some LLVM analyzer warnings

2012-08-10  Lukas Zeller  <luz@plan44.ch>

	* src/global_options.h:

	Engine Version 3.4.0.44

2012-07-27  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/syncagent.cpp:
	* src/sysync/syncagent.h:

	Delayed termination of sync session added - experimental for now

2012-06-19  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_ios.xcodeproj/xcshareddata/xcschemes/static_clientEngine_opensource_ios.xcscheme:

	XCode upgrade version changed

2012-06-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/synthesis-linker.map:
	* src/sysync/debuglogger.cpp:
	* src/sysync/sysync_debug.h:

	console printing: allow app to override printf()

2012-06-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/sysync_debug.h:

	console printing: added line break to CONSOLEINFO_LIBC version

2012-06-07  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/debuglogger.cpp:
	* src/sysync/sysync_debug.h:

	SyncML TK (and other global) debug output: added LF when using
	CONSOLEINFO_LIBC mode (introduced in 13ff1e4149 (logging +
	Linux: enable console output))

2012-05-29  Lukas Zeller  <luz@plan44.ch>

	* src/global_options.h:

	libsynthesis 3.4.0.42

2012-05-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncappbase.cpp:

	logging: avoid hard-coding log settings when
	<logsessionstoglobal> is set

2012-05-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:

	SyncML server: avoid Replace command without IDs during resumed
	sync

2012-05-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/debuglogger.cpp:

	debug logger: avoid deadlock when opening log file fails

2012-05-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/customimplds.cpp:

	engine: fixed memory leaks

2012-05-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/scriptcontext.cpp:

	script context: fixed out-of-bounds memory access

2012-05-02  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:

	autotools: bumped minor version

2012-05-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/multifielditemtype.cpp:
	* src/sysync/remotedatastore.cpp:
	* src/sysync/superdatastore.cpp:
	* src/sysync/superdatastore.h:
	* src/sysync/syncdatastore.h:

	datastore + CTCap: added support for flags

2012-05-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/superdatastore.cpp:
	* src/sysync/superdatastore.h:

	super datastore: implemented canRestart()

2012-03-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:
	* src/sysync/remotedatastore.cpp:

	SyncCap: X-SYNTHESIS-RESTART -> 390001 (for Funambol)

2012-05-29  Andris Pavenis  <andris.pavenis@ipnetworks.fi>

	* src/syncml_tk/src/sml/xlt/all/xltmetinf.c:

	Workaround problem with Sony Xperia 2012 (S and perhaps also P
	and U) phones

2012-05-25  Andris Pavenis  <andris.pavenis@ipnetworks.fi>

	* configure.in:

	Fix configure option --enable-debug-logs help string

2012-05-25  Lukas Zeller  <luz@plan44.ch>

	* src/syncml_tk/src/sml/xlt/all/xltmetinf.c:

	SyncML TK: Added missing parsing error debug output for parsing
	<Meta>

2012-05-23  Lukas Zeller  <luz@plan44.ch>

	* src/global_options.h:
	* src/sysync/syncappbase.cpp:

	sysytool/sysytest: added error message output when wbxml2xml
	conversion is aborted due to an internal ENcoder error.

2012-05-23  Lukas Zeller  <luz@plan44.ch>

	* src/syncml_tk/src/sml/xlt/all/xltenc.c:

	SyncML TK: Fixed stoneage (2003) bug in encoder which caused XML
	generation of empty tags to fail, such as <OEM></OEM> in SE LT26i
	devInf.

2012-03-25  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_SDK/dbplugin_cocoa_sample/dbplugin_cocoa_sample_ios.xcodeproj/project.pbxproj:
	* src/sysync_SDK/dbplugin_cocoa_sample/dbplugin_cocoa_sample_ios.xcodeproj/xcshareddata/xcschemes/dbplugin_cocoa_sample_ios.xcscheme:
	* src/sysync_SDK/ios_syncclient_app_sample/MainViewController.m:
	* src/sysync_SDK/ios_syncclient_app_sample/READ-ME-iOS_syncclient_sample.txt:
	* src/sysync_SDK/ios_syncclient_app_sample/ios_syncclient_app_sample.xcodeproj/project.pbxproj:
	* src/sysync_SDK/ios_syncclient_app_sample/ios_syncclient_app_sample.xcodeproj/xcshareddata/xcschemes/ios_syncclient_app_sample.xcscheme:
	* src/sysync_SDK/ios_syncclient_app_sample/ios_syncclient_app_sample.xml:

	iOS sample app: changed linking of libsynthesis and plugins to
	standard way to do it. Also improved default logging.

2012-03-16  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_SDK/ios_syncclient_app_sample/FlipsideViewController.m:
	* src/sysync_SDK/ios_syncclient_app_sample/MainViewController.m:

	iOS sample app: fixed inconsistencies with dbtypeid, now using
	SYNCML_TARGET_DBID definition everywhere.

2012-03-16  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_SDK/ios_syncclient_app_sample/READ-ME-iOS_syncclient_sample.txt:
	* src/sysync_SDK/ios_syncclient_app_sample/ios_syncclient_app_sample.xcodeproj/project.pbxproj:

	iOS: added readme and fixed SYNCMMLIB build setting which was
	pointing to the wrong library (sample uses the client lib, not
	the combi lib)

2012-03-24  Lukas Zeller  <luz@plan44.ch>

	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:
	* src/sysync_ios.xcodeproj/project.pbxproj:

	XCode/iOS/LLVM/CLANG: Very weird THUMB calculation errors in
	release builds (but not in debug). Note: This was caused by a
	compiler bug (see rdar://11116189 and
	http://openradar.appspot.com/radar?id=1614412) which has been
	resolved as of XCode 4.4 DP5

2012-03-24  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/remotedatastore.cpp:

	show RemoteSyncTypes block in log collapsed by default (stretches
	devInf log part too much for most cases)

2012-03-23  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/remotedatastore.cpp:
	* src/sysync/synccommand.cpp:

	Debug log cosmetics: clarified MaxMsgSize reception and
	RemoteSyncTypes checking in devInf

2012-03-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplds.cpp:

	binfile client: better random LUID generation

2012-03-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/itemfield.cpp:
	* src/sysync/scriptcontext.cpp:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncclientbase.cpp:
	* src/sysync_SDK/Sources/sysync_utils.cpp:
	* src/sysync_SDK/Sources/sysync_utils.h:

	scripting: file URI decoding

2012-08-10  Lukas Zeller  <luz@plan44.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:
	* src/sysync/configelement.cpp:
	* src/sysync/customimplds.cpp:
	* src/sysync/itemfield.cpp:
	* src/sysync/mimedirprofile.cpp:
	* src/sysync/scriptcontext.cpp:
	* src/sysync/timezones.cpp:
	* src/sysync_SDK/Sources/lineartime.cpp:

	timezones: previous commit (DAYLIGHT recognition...) broke
	persisting TZ names in DBs, as TimeZoneContextToName() ignored
	the aPrefIdent argument and also its default value by hard-coding
	it to "o".

2012-03-04  Beat Forster  <bfo@synthesis.ch>

	* src/platform_adapters/macosx/platform_timezones.mm:
	* src/sysync/timezones.cpp:
	* src/sysync/timezones.h:
	* src/sysync/vtimezone.cpp:

	vCalendar 1.0 DAYLIGHT recognition improved, now works with
	floating DST start/end time specs as well

2012-03-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/debuglogger.h:
	* src/sysync/syncappbase.cpp:

	source link: always allow config options

2012-02-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncagent.cpp:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:

	restarting sync: support multiple datastores

2012-02-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:

	TLocalDSConfig: fCanRestart might have been undefined

2012-02-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/remotedatastore.cpp:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncdatastore.cpp:
	* src/sysync/syncdatastore.h:

	restart sync: extend DevInf and check whether datastores support
	restarts

2012-02-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncagent.cpp:

	SyncML extensions: multiple cycles + DevInf

2012-02-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Targets/ReleasedProducts/combiEngine_opensource_linux/target_options.h:
	* src/syncapps/serverEngine_custom/combi_product_options.h:
	* src/syncml_tk/src/sml/xlt/all/xltdec.c:
	* src/sysync/localengineds.cpp:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncsession.cpp:
	* src/sysync/sysync_debug.h:

	logging + Linux: enable console output

2012-03-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncml_tk/src/sml/xlt/all/xltdecxml.c:

	SyncML TK: support (hexa-)decimal character entities in XML

2012-02-16  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_ios.xcodeproj/project.pbxproj:
	* src/sysync_ios.xcodeproj/xcshareddata/xcschemes/static_clientEngine_opensource_ios.xcscheme:
	* src/sysync_ios.xcodeproj/xcshareddata/xcschemes/static_combiEngine_opensource_ios.xcscheme:

	XCode 4.3: applied recommended project settings updates (= now
	using LLDB, no longer GDB, and disable THUMB support), added
	scheme for client-only build of engine

2012-02-25  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/syncagent.h:

	libsynthesis: fRestartSyncOnce must be present in client-only
	builds as well

2012-02-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:

	datastore: explicitly tell the engine whether restarting a sync
	is supported

2012-02-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:
	* src/sysync/customimplds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncagent.h:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:

	SyncML extensions: multiple cycles in the same session

2012-02-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplds.cpp:

	DB_Conflict (409): different implementation in binfileimplds.cpp

2012-02-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/customimplds.cpp:

	TCustomImplDS::implMarkOnlyUngeneratedForResume: fixed endless
	loop

2012-02-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapids.cpp:

	plugin API: pass firstReadNextItem=true on first call

2012-02-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncagent.cpp:
	* src/sysync/syncagent.h:

	sync agent: code refactoring for allFromClientOnly

2012-02-02  Lukas Zeller  <luz@plan44.ch>

	* src/global_options.h:
	* src/sysync/syncagent.cpp:
	* src/sysync_SDK/sdk_sources_cocoa/SyncEngine.h:
	* src/sysync_SDK/sdk_sources_cocoa/SyncEngine.m:

	engine 3.4.0.41: Added "errorMsg" and "debugMsg" write-only
	session key values - these can be used to write messages into the
	debug log (such as transport level problems)

2012-02-02  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/localengineds.cpp:

	Abort sync of the datastore when filters specified for SyncML
	version < 1.2

2012-09-05  Lukas Zeller  <luz@plan44.ch>


	Merge remote-tracking branch 'refs/remotes/meego/pbap' into luz

2012-09-05  Lukas Zeller  <luz@plan44.ch>


	Merge remote-tracking branch 'refs/remotes/meego/master' into luz

2012-09-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/customimplds.cpp:

	engine: updated logging of sync keys

2012-09-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncml_tk/src/sml/xlt/all/xltdec.c:
	* src/syncml_tk/src/sml/xlt/all/xltdeccom.h:
	* src/syncml_tk/src/sml/xlt/all/xltdecwbxml.c:
	* src/syncml_tk/src/sml/xlt/all/xltdecxml.c:

	SyncML TK: don't read past end of buffer

2012-08-30  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/stdlogicds.cpp:

	engine: previous patch was accidentally server-only, same
	correction needed for client case as well.

2012-08-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:
	* src/sysync/multifielditem.cpp:
	* src/sysync/multifielditem.h:
	* src/sysync/multifielditemtype.cpp:
	* src/sysync/syncitem.h:

	engine: override merge options

2012-08-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/itemfield.cpp:

	engine: ignore unassigned entries at end of array

2012-08-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:
	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/stdlogicds.h:

	engine: initial support for caching of remote data

2012-08-29  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/stdlogicds.cpp:

	engine: item counting corrected (before, items that could not be
	sent in the current message and were queued for the next message
	were not counted in the statistics and also not reported via
	pev_itemsent progress event)

2012-08-24  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_SDK/sdk_sources_cocoa/SyncEngine.m:

	Cocoa wrapper: result of super should be assigned to self in init
	(Analyzer warning silenced)

2012-08-23  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_SDK/sdk_sources_cocoa/SyncEngine.m:

	Cocoa wrapper: added conditionals to allow using in ARC code

2012-08-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/textitemtype.cpp:
	* src/sysync/textitemtype.h:

	engine: allow text->VJOURNAL conversion

2012-08-10  Lukas Zeller  <luz@plan44.ch>

	* src/global_options.h:

	Engine Version 3.4.0.44

2012-08-10  Lukas Zeller  <luz@plan44.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:
	* src/sysync/configelement.cpp:
	* src/sysync/customimplds.cpp:
	* src/sysync/itemfield.cpp:
	* src/sysync/mimedirprofile.cpp:
	* src/sysync/scriptcontext.cpp:
	* src/sysync/timezones.cpp:
	* src/sysync_SDK/Sources/lineartime.cpp:

	timezones: since 9dd44b3366 (DAYLIGHT recognition adapted),
	TimeZoneContextToName() ignored the aPrefIdent argument and also
	its default value by overriding it with "o".

2012-07-27  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/syncagent.cpp:
	* src/sysync/syncagent.h:

	Delayed termination of sync session added - experimental for now

2012-07-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Makefile.am.in:

	autotools: must link against libpthreads

2012-06-19  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_ios.xcodeproj/xcshareddata/xcschemes/static_clientEngine_opensource_ios.xcscheme:

	XCode upgrade version changed

2012-06-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:

	CtCap: Funambol workaround

2012-06-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncagent.h:

	sync client: made sync mode choice configurable

2012-06-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/synthesis-linker.map:
	* src/sysync/debuglogger.cpp:
	* src/sysync/sysync_debug.h:

	console printing: allow app to override printf()

2012-06-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/sysync_debug.h:

	console printing: added line break to CONSOLEINFO_LIBC version

2012-06-07  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/debuglogger.cpp:
	* src/sysync/sysync_debug.h:

	SyncML TK (and other global) debug output: added LF when using
	CONSOLEINFO_LIBC mode (introduced in 13ff1e4149 (logging +
	Linux: enable console output))

2012-06-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:

	SyncCap: compatibility enhancement for Nokia phones

2012-05-29  Lukas Zeller  <luz@plan44.ch>

	* src/global_options.h:

	libsynthesis 3.4.0.42

2012-05-29  Lukas Zeller  <luz@plan44.ch>


	Merge remote-tracking branch 'refs/remotes/meego/master' into luz

2012-05-29  Andris Pavenis  <andris.pavenis@ipnetworks.fi>

	* src/syncml_tk/src/sml/xlt/all/xltmetinf.c:

	Workaround problem with Sony Xperia 2012 (S and perhaps also P
	and U) phones

2012-05-25  Andris Pavenis  <andris.pavenis@ipnetworks.fi>

	* configure.in:

	Fix configure option --enable-debug-logs help string

2012-05-25  Lukas Zeller  <luz@plan44.ch>

	* src/syncml_tk/src/sml/xlt/all/xltmetinf.c:

	SyncML TK: Added missing parsing error debug output for parsing
	<Meta>

2012-05-23  Patrick Ohly  <patrick.ohly@intel.com>


	Merge remote-tracking branch 'gitorious/luz'

2012-05-23  Lukas Zeller  <luz@plan44.ch>

	* src/global_options.h:
	* src/sysync/syncappbase.cpp:

	sysytool/sysytest: added error message output when wbxml2xml
	conversion is aborted due to an internal ENcoder error.

2012-05-23  Lukas Zeller  <luz@plan44.ch>

	* src/syncml_tk/src/sml/xlt/all/xltenc.c:

	SyncML TK: Fixed stoneage (2003) bug in encoder which caused XML
	generation of empty tags to fail, such as <OEM></OEM> in SE LT26i
	devInf.

2012-05-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncappbase.cpp:

	logging: avoid hard-coding log settings when
	<logsessionstoglobal> is set

2012-05-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:

	SyncML server: avoid Replace command without IDs during resumed
	sync

2012-05-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/debuglogger.cpp:

	debug logger: avoid deadlock when opening log file fails

2012-05-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/customimplds.cpp:

	engine: fixed memory leaks

2012-05-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/scriptcontext.cpp:

	script context: fixed out-of-bounds memory access

2012-05-02  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:

	autotools: bumped minor version

2012-05-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/multifielditemtype.cpp:
	* src/sysync/remotedatastore.cpp:
	* src/sysync/superdatastore.cpp:
	* src/sysync/superdatastore.h:
	* src/sysync/syncdatastore.h:

	datastore + CTCap: added support for flags

2012-05-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/superdatastore.cpp:
	* src/sysync/superdatastore.h:

	super datastore: implemented canRestart()

2012-03-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:
	* src/sysync/remotedatastore.cpp:

	SyncCap: X-SYNTHESIS-RESTART -> 390001 (for Funambol)

2012-03-29  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_SDK/ios_syncclient_app_sample/MainViewController.m:
	* src/sysync_SDK/ios_syncclient_app_sample/ios_syncclient_app_sample.xml:

	iOS app sample: enabled config error messages to console and
	creation of tmp/sysynclogs directory in DEBUG builds

2012-03-25  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_SDK/dbplugin_cocoa_sample/dbplugin_cocoa_sample_ios.xcodeproj/project.pbxproj:
	* src/sysync_SDK/dbplugin_cocoa_sample/dbplugin_cocoa_sample_ios.xcodeproj/xcshareddata/xcschemes/dbplugin_cocoa_sample_ios.xcscheme:
	* src/sysync_SDK/ios_syncclient_app_sample/READ-ME-iOS_syncclient_sample.txt:
	* src/sysync_SDK/ios_syncclient_app_sample/ios_syncclient_app_sample.xcodeproj/project.pbxproj:
	* src/sysync_SDK/ios_syncclient_app_sample/ios_syncclient_app_sample.xcodeproj/xcshareddata/xcschemes/ios_syncclient_app_sample.xcscheme:

	iOS sample app: changed linking of libsynthesis and plugins to
	standard way to do it.

2012-03-24  Lukas Zeller  <luz@plan44.ch>

	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:
	* src/sysync_ios.xcodeproj/project.pbxproj:

	XCode/iOS/LLVM/CLANG: Very weird calculation errors in release
	builds (but not in debug) seemingly fixed by specifying
	-mno-thumb.

2012-03-24  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/remotedatastore.cpp:

	show RemoteSyncTypes block in log collapsed by default (stretches
	devInf log part too much for most cases)

2012-03-24  Lukas Zeller  <luz@plan44.ch>


	Merge remote-tracking branch 'refs/remotes/plan44.ch/luz' into
	syncmlios

2012-03-23  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/remotedatastore.cpp:
	* src/sysync/synccommand.cpp:

	Debug log cosmetics: clarified MaxMsgSize reception and
	RemoteSyncTypes checking in devInf

2012-03-16  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_SDK/ios_syncclient_app_sample/FlipsideViewController.m:
	* src/sysync_SDK/ios_syncclient_app_sample/MainViewController.m:

	iOS sample app: fixed inconsistencies with dbtypeid, now using
	SYNCML_TARGET_DBID definition everywhere.

2012-03-16  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_SDK/ios_syncclient_app_sample/READ-ME-iOS_syncclient_sample.txt:
	* src/sysync_SDK/ios_syncclient_app_sample/ios_syncclient_app_sample.xcodeproj/project.pbxproj:

	iOS: added readme and fixed SYNCMMLIB build setting which was
	pointing to the wrong library (sample uses the client lib, not
	the combi lib)

2012-03-13  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_ios.xcodeproj/project.pbxproj:

	XCode 4.3: applied recommended project settings updates: disable
	THUMB support

2012-03-11  Lukas Zeller  <luz@plan44.ch>


	Merge remote-tracking branch
	'refs/remotes/meego/for-master/fake-local-id' into syncmlios

2012-03-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplds.cpp:

	binfile client: better random LUID generation

2012-03-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/itemfield.cpp:
	* src/sysync/scriptcontext.cpp:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncclientbase.cpp:
	* src/sysync_SDK/Sources/sysync_utils.cpp:
	* src/sysync_SDK/Sources/sysync_utils.h:

	scripting: file URI decoding

2012-03-07  Lukas Zeller  <luz@plan44.ch>


	Merge remote-tracking branch
	'refs/remotes/meego/for-master/sourcelink-config' into luz

2012-03-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/debuglogger.h:
	* src/sysync/syncappbase.cpp:

	source link: always allow config options

2012-03-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncml_tk/src/sml/xlt/all/xltdecxml.c:

	SyncML TK: support (hexa-)decimal character entities in XML

2012-03-05  Lukas Zeller  <luz@plan44.ch>

	* src/platform_adapters/macosx/platform_timezones.mm:

	iOS: adapted platform_timezones.mm to new signature of
	Get_tChange()

2012-03-04  Beat Forster  <bfo@synthesis.ch>

	* src/sysync/timezones.cpp:
	* src/sysync/timezones.h:
	* src/sysync/vtimezone.cpp:

	vCalendar 1.0 DAYLIGHT recognition improved, now works with
	floating DST start/end time specs as well

2012-03-05  Lukas Zeller  <luz@plan44.ch>


	Merge remote-tracking branch
	'refs/remotes/meego/for-master/sourcelink-config' into luz

2012-03-05  Lukas Zeller  <luz@plan44.ch>


	Merge remote-tracking branch
	'refs/remotes/meego/for-master/xmldecode' into luz

2012-03-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncml_tk/src/sml/xlt/all/xltdecxml.c:

	SyncML TK: support (hexa-)decimal character entities in XML

2012-03-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/debuglogger.h:
	* src/sysync/syncappbase.cpp:

	source link: always allow config options

2012-03-02  SyncEvolution Nightly Testing  <syncevolution@syncevolution.org>


	Merge remote branch 'origin/for-master/internal-sync' into
	nightly

2012-02-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncagent.cpp:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:

	restarting sync: support multiple datastores

2012-02-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:

	TLocalDSConfig: fCanRestart might have been undefined

2012-02-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncml_tk/src/sml/xlt/all/xltdec.c:
	* src/sysync/localengineds.cpp:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncsession.cpp:

	logging: fixed CONSOLEPRINTF format conversion issues

2012-02-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Targets/ReleasedProducts/combiEngine_opensource_linux/target_options.h:
	* src/syncapps/serverEngine_custom/combi_product_options.h:
	* src/sysync/sysync_debug.h:

	logging + Linux: enable console output

2012-02-25  Lukas Zeller  <luz@plan44.ch>


	Merge remote-tracking branch 'refs/remotes/plan44.ch/syncmlios'
	into luz

2012-02-25  Lukas Zeller  <luz@plan44.ch>

	* src/global_options.h:

	Expiry date for non-OS-builds now in 2013

2012-02-25  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_ios.xcodeproj/xcshareddata/xcschemes/static_clientEngine_opensource_ios.xcscheme:
	* src/sysync_ios.xcodeproj/xcshareddata/xcschemes/static_combiEngine_opensource_ios.xcscheme:

	XCode: added scheme for client-only build of engine

2012-02-25  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/syncagent.h:

	libsynthesis: fRestartSyncOnce must be present in client-only
	builds as well

2012-02-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/remotedatastore.cpp:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncdatastore.cpp:
	* src/sysync/syncdatastore.h:

	restart sync: extend DevInf and check whether datastores support
	restarts

2012-02-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncagent.cpp:

	SyncML extensions: multiple cycles + DevInf

2012-02-16  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_ios.xcodeproj/xcshareddata/xcschemes/static_combiEngine_opensource_ios.xcscheme:

	XCode 4.3: applied recommended project settings updates (= now
	using LLDB, no longer GDB)

2012-02-16  Lukas Zeller  <luz@plan44.ch>


	Merge Patrick's internal-sync' into syncmlios for testing
	resolved conflict in session key list (Patrick added restartSync,
	while I added erroMsg+debugMsg)

2012-02-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:

	datastore: explicitly tell the engine whether restarting a sync
	is supported

2012-02-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:
	* src/sysync/customimplds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncagent.h:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:

	SyncML extensions: multiple cycles in the same session

2012-02-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplds.cpp:

	DB_Conflict (409): different implementation in binfileimplds.cpp

2012-02-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/customimplds.cpp:

	TCustomImplDS::implMarkOnlyUngeneratedForResume: fixed endless
	loop

2012-02-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapids.cpp:

	plugin API: pass firstReadNextItem=true on first call

2012-02-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncagent.cpp:
	* src/sysync/syncagent.h:

	sync agent: code refactoring for allFromClientOnly

2012-02-02  Lukas Zeller  <luz@plan44.ch>

	* src/global_options.h:
	* src/sysync/syncagent.cpp:
	* src/sysync_SDK/sdk_sources_cocoa/SyncEngine.h:
	* src/sysync_SDK/sdk_sources_cocoa/SyncEngine.m:

	engine 3.4.0.41: Added "errorMsg" and "debugMsg" write-only
	session key values - these can be used to write messages into the
	debug log (such as transport level problems)

2012-02-02  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/localengineds.cpp:

	Abort sync of the datastore when filters specified for SyncML
	version < 1.2

2012-01-14  Lukas Zeller  <luz@plan44.ch>

	* src/global_options.h:

	libsynthesis 3.4.0.40 - first release including iOS

2012-01-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gen-makefile-am.sh:

	autotools: exclude Mac OS X files

2012-01-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncagent.cpp:

	syncagent: properly handle empty buffer

2012-01-08  Lukas Zeller  <luz@plan44.ch>

	* src/platform_adapters/macosx/configfiles.cpp:
	* src/platform_adapters/macosx/configfiles.mm:
	* src/platform_adapters/macosx/platform_DLL.cpp:
	* src/platform_adapters/macosx/platform_timezones.cpp:
	* src/sysync_ios.xcodeproj/project.pbxproj:
	* src/sysync_ios.xcodeproj/xcshareddata/xcschemes/static_clientEngine_opensource_ios.xcscheme:

	iOS: cleanup, removed obsolete and unneeded files

2011-12-22  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_SDK/ios_syncclient_app_sample/AppDelegate.h:
	* src/sysync_SDK/ios_syncclient_app_sample/AppDelegate.m:
	* src/sysync_SDK/ios_syncclient_app_sample/FlipsideViewController.h:
	* src/sysync_SDK/ios_syncclient_app_sample/FlipsideViewController.m:
	* src/sysync_SDK/ios_syncclient_app_sample/MainViewController.h:
	* src/sysync_SDK/ios_syncclient_app_sample/MainViewController.m:
	* src/sysync_SDK/ios_syncclient_app_sample/SyncMLClient/SyncMLClient.h:
	* src/sysync_SDK/ios_syncclient_app_sample/SyncMLClient/SyncMLClient.m:
	* src/sysync_SDK/ios_syncclient_app_sample/SyncMLClient/ZKeyChainWrapper.h:
	* src/sysync_SDK/ios_syncclient_app_sample/SyncMLClient/ZKeyChainWrapper.m:
	* src/sysync_SDK/ios_syncclient_app_sample/SyncMLClient/ZWebRequest.h:
	* src/sysync_SDK/ios_syncclient_app_sample/SyncMLClient/ZWebRequest.m:
	* src/sysync_SDK/ios_syncclient_app_sample/en.lproj/FlipsideViewController.xib:
	* src/sysync_SDK/ios_syncclient_app_sample/en.lproj/InfoPlist.strings:
	* src/sysync_SDK/ios_syncclient_app_sample/en.lproj/MainViewController_iPad.xib:
	* src/sysync_SDK/ios_syncclient_app_sample/en.lproj/MainViewController_iPhone.xib:
	* src/sysync_SDK/ios_syncclient_app_sample/ios_syncclient_app_sample-Info.plist:
	* src/sysync_SDK/ios_syncclient_app_sample/ios_syncclient_app_sample-Prefix.pch:
	* src/sysync_SDK/ios_syncclient_app_sample/ios_syncclient_app_sample.xcodeproj/project.pbxproj:
	* src/sysync_SDK/ios_syncclient_app_sample/ios_syncclient_app_sample.xcodeproj/project.xcworkspace/contents.xcworkspacedata:
	* src/sysync_SDK/ios_syncclient_app_sample/ios_syncclient_app_sample.xcodeproj/xcshareddata/xcschemes/ios_syncclient_app_sample.xcscheme:
	* src/sysync_SDK/ios_syncclient_app_sample/ios_syncclient_app_sample.xml:
	* src/sysync_SDK/ios_syncclient_app_sample/main.m:

	iOS: added sample app, synchronizing contacts (or calendar) into
	a TAB-separated text file

2011-12-22  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_SDK/dbplugin_cocoa_sample/dbplugin_cocoa_sample_ios.xcodeproj/project.pbxproj:
	* src/sysync_SDK/dbplugin_cocoa_sample/target_options.h:

	iOS: fixed dbplugin_cocoa_sample_ios project, must not include
	dbplugin_cocoa.m into compilation.

2011-12-22  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_SDK/dbplugin_cocoa_sample/dbplugin_cocoa_sample_ios.xcodeproj/project.pbxproj:
	* src/sysync_SDK/dbplugin_cocoa_sample/dbplugin_cocoa_sample_ios.xcodeproj/project.xcworkspace/contents.xcworkspacedata:
	* src/sysync_SDK/dbplugin_cocoa_sample/dbplugin_cocoa_sample_ios.xcodeproj/xcshareddata/xcschemes/dbplugin_cocoa_sample_ios.xcscheme:
	* src/sysync_SDK/dbplugin_cocoa_sample/dbplugin_cocoa_sample_ios_Prefix.pch:
	* src/sysync_SDK/dbplugin_cocoa_sample/sample_dbplugin.h:
	* src/sysync_SDK/dbplugin_cocoa_sample/sample_dbplugin.m:
	* src/sysync_SDK/dbplugin_cocoa_sample/sample_dbplugin1.h:
	* src/sysync_SDK/dbplugin_cocoa_sample/sample_dbplugin1.mm:
	* src/sysync_SDK/dbplugin_cocoa_sample/sample_dbplugin2.h:
	* src/sysync_SDK/dbplugin_cocoa_sample/sample_dbplugin2.mm:
	* src/sysync_SDK/dbplugin_cocoa_sample/sample_dbplugin3.h:
	* src/sysync_SDK/dbplugin_cocoa_sample/sample_dbplugin3.mm:
	* src/sysync_SDK/dbplugin_cocoa_sample/sample_dbplugin4.h:
	* src/sysync_SDK/dbplugin_cocoa_sample/sample_dbplugin4.mm:
	* src/sysync_SDK/dbplugin_cocoa_sample/target_options.h:

	iOS: added dbplugin_cocoa_sample_ios project to create library
	with 4 empty plugins to link libsynthesis against.

2011-12-21  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/stdlogicds.h:

	DB_Conflict (409): added missing implementation in
	binfileimplds.cpp

2011-12-21  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_ios.xcodeproj/project.pbxproj:

	iOS: enhanced linkability - removed duplicate implementation of
	some functions, enabled single-object prelink.

2011-12-20  Lukas Zeller  <luz@plan44.ch>

	* .gitignore:
	* src/Targets/ReleasedProducts/clientEngine_opensource_ios/define.h:
	* src/Targets/ReleasedProducts/clientEngine_opensource_ios/prefix_file.h:
	* src/Targets/ReleasedProducts/clientEngine_opensource_ios/syncml_tk_prefix_file.h:
	* src/Targets/ReleasedProducts/clientEngine_opensource_ios/target_options.h:
	* src/Targets/ReleasedProducts/combiEngine_opensource_ios/define.h:
	* src/Targets/ReleasedProducts/combiEngine_opensource_ios/prefix_file.h:
	* src/Targets/ReleasedProducts/combiEngine_opensource_ios/syncml_tk_prefix_file.h:
	* src/Targets/ReleasedProducts/combiEngine_opensource_ios/target_options.h:
	* src/global_options.h:
	* src/sysync/rrules.h:
	* src/sysync_SDK/Sources/sysync_utils.h:
	* src/sysync_ios.xcodeproj/project.pbxproj:
	* src/sysync_ios.xcodeproj/project.xcworkspace/contents.xcworkspacedata:
	* src/sysync_ios.xcodeproj/xcshareddata/xcschemes/static_clientEngine_opensource_ios.xcscheme:
	* src/sysync_ios.xcodeproj/xcshareddata/xcschemes/static_combiEngine_opensource_ios.xcscheme:

	iOS: XCode project and target definitions for opensource iOS
	client-only and client-server libraries

2011-12-20  Lukas Zeller  <luz@plan44.ch>

	* src/sysync_SDK/sdk_sources_cocoa/SettingsKey.h:
	* src/sysync_SDK/sdk_sources_cocoa/SettingsKey.m:
	* src/sysync_SDK/sdk_sources_cocoa/SyncEngine.h:
	* src/sysync_SDK/sdk_sources_cocoa/SyncEngine.m:
	* src/sysync_SDK/sdk_sources_cocoa/dbplugin_cocoa.h:
	* src/sysync_SDK/sdk_sources_cocoa/dbplugin_cocoa.m:
	* src/sysync_SDK/sdk_sources_cocoa/dbplugin_cocoa_wrapper.mm:
	* src/sysync_SDK/sdk_sources_cocoa/target_options.h:

	iOS: Objective C / Cocoa wrapper classes for easy using
	libsynthesis API

2011-12-20  Lukas Zeller  <luz@plan44.ch>

	* src/platform_adapters/macosx/configfiles.cpp:
	* src/platform_adapters/macosx/configfiles.mm:
	* src/platform_adapters/macosx/platform_DLL.cpp:
	* src/platform_adapters/macosx/platform_exec.c:
	* src/platform_adapters/macosx/platform_exec.h:
	* src/platform_adapters/macosx/platform_headers.h:
	* src/platform_adapters/macosx/platform_time.cpp:
	* src/platform_adapters/macosx/platform_time.h:
	* src/platform_adapters/macosx/platform_timezones.cpp:
	* src/platform_adapters/macosx/platform_timezones.mm:
	* src/platform_adapters/macosx/profiling.cpp:

	iOS: Added platform adapters for Mac OS X / iOS

2011-12-20  Lukas Zeller  <luz@plan44.ch>

	* src/pcre/132html:
	* src/pcre/AUTHORS:
	* src/pcre/CMakeLists.txt:
	* src/pcre/COPYING:
	* src/pcre/ChangeLog:
	* src/pcre/CleanTxt:
	* src/pcre/Detrail:
	* src/pcre/HACKING:
	* src/pcre/INSTALL:
	* src/pcre/LICENCE:
	* src/pcre/Makefile.am:
	* src/pcre/NEWS:
	* src/pcre/NON-UNIX-USE:
	* src/pcre/PrepareRelease:
	* src/pcre/README:
	* src/pcre/RunGrepTest:
	* src/pcre/RunTest:
	* src/pcre/RunTest.bat:
	* src/pcre/config-cmake.h.in:
	* src/pcre/config.h:
	* src/pcre/config.h.generic:
	* src/pcre/configure.ac:
	* src/pcre/dftables.c:
	* src/pcre/libpcre.pc.in:
	* src/pcre/libpcrecpp.pc.in:
	* src/pcre/makevp.bat:
	* src/pcre/makevp_c.txt:
	* src/pcre/makevp_l.txt:
	* src/pcre/pcre-config.in:
	* src/pcre/pcre.h:
	* src/pcre/pcre.h.generic:
	* src/pcre/pcre.h.in:
	* src/pcre/pcre_chartables.c:
	* src/pcre/pcre_chartables.c.dist:
	* src/pcre/pcre_compile.c:
	* src/pcre/pcre_config.c:
	* src/pcre/pcre_config_android.h:
	* src/pcre/pcre_config_macosx.h:
	* src/pcre/pcre_config_win32.h:
	* src/pcre/pcre_dfa_exec.c:
	* src/pcre/pcre_exec.c:
	* src/pcre/pcre_fullinfo.c:
	* src/pcre/pcre_get.c:
	* src/pcre/pcre_globals.c:
	* src/pcre/pcre_info.c:
	* src/pcre/pcre_internal.h:
	* src/pcre/pcre_maketables.c:
	* src/pcre/pcre_newline.c:
	* src/pcre/pcre_ord2utf8.c:
	* src/pcre/pcre_printint.src:
	* src/pcre/pcre_refcount.c:
	* src/pcre/pcre_scanner.cc:
	* src/pcre/pcre_scanner.h:
	* src/pcre/pcre_scanner_unittest.cc:
	* src/pcre/pcre_setup.h:
	* src/pcre/pcre_stringpiece.cc:
	* src/pcre/pcre_stringpiece.h.in:
	* src/pcre/pcre_stringpiece_unittest.cc:
	* src/pcre/pcre_study.c:
	* src/pcre/pcre_tables.c:
	* src/pcre/pcre_try_flipped.c:
	* src/pcre/pcre_ucp_searchfuncs.c:
	* src/pcre/pcre_valid_utf8.c:
	* src/pcre/pcre_version.c:
	* src/pcre/pcre_xclass.c:
	* src/pcre/pcrecpp.cc:
	* src/pcre/pcrecpp.h:
	* src/pcre/pcrecpp_internal.h:
	* src/pcre/pcrecpp_unittest.cc:
	* src/pcre/pcrecpparg.h.in:
	* src/pcre/pcredemo.c:
	* src/pcre/pcregexp.pas:
	* src/pcre/pcregrep.c:
	* src/pcre/pcreposix.c:
	* src/pcre/pcreposix.h:
	* src/pcre/pcretest.c:
	* src/pcre/perltest.pl:
	* src/pcre/ucp.h:
	* src/pcre/ucpinternal.h:
	* src/pcre/ucptable.h:

	iOS: needs PCRE sources, added them

2011-12-20  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/timezones.h:
	* src/sysync/tz_table.h:

	timezones/tz_table: Don't include C++ STL headers in tz_table, as
	this file is included from within a namespace context.

2011-12-20  Lukas Zeller  <luz@plan44.ch>

	* .gitignore:

	iOS: exclude XCode build dir from git

2011-12-19  Lukas Zeller  <luz@plan44.ch>


	Merge branch 'refs/heads/meego' into luz

2011-11-21  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:

	autotools: bumped minor version

2011-11-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncml_tk/src/sml/xlt/all/xlttags.c:

	SyncML Toolkit: fixed clang compiler warning

2011-11-17  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:

	autotools: avoid warnings for set but unused variables

2011-10-28  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapids.h:
	* src/sysync/superdatastore.cpp:
	* src/sysync/syncdatastore.h:

	server engine: more efficient deletion in superdatastore

2011-10-12  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:

	autotools: bumped minor version

2011-10-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/customimplds.cpp:

	engine: fixed handling of 508

2011-09-15  Lukas Zeller  <luz@plan44.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/DB_interfaces/api_db/pluginapids.h:
	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:

	engine: added <plugin_earlystartdataread> to allow StartDataRead
	to occur early and possibly force a slow sync by returning 508
	error code

2011-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapids.cpp:

	white space cleanup

2011-10-13  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:

	autotools: must include m4-repo in ACLOCAL_AMFLAGS

2011-10-13  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:
	* src/Makefile.am.in:

	autotools: version bump for SyncEvolution 1.2

2011-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:

	autotools: same suppressions for all warning levels

2011-10-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/customimplds.cpp:

	DB_Conflict (409): fixed uninitialized memory access

2011-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:

	autotools: bumped version to 3.4.0.16.3

2011-09-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:

	DB_Conflict (409): avoid sending unnecessary changes back to
	client

2011-09-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/customimplds.cpp:

	DB_Conflict (409): correctly count updated and unmodified items

2011-09-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:

	DB_Conflict (409): do age comparison before merging, avoid
	unneeded changes

2011-09-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/customimplds.cpp:

	DB_Conflict (409): avoid confusing log message

2011-09-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/multifielditemtype.cpp:

	COMPAREFIELDS(): fix -1 case

2011-09-15  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/customimplds.cpp:

	engine: fixed bad object delete case (Patrick found it) -
	SendDBVersionOfItemAsServer() does not pass ownership for item
	returned!

2011-09-15  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/customimplds.cpp:

	DB_DataMerged (207): avoid double free

2011-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:

	autotools: bumped version to 3.4.0.16.2

2011-09-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapids.cpp:

	plugin API: support new DB_DataReplaced/Merged/Conflict status
	codes

2011-08-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapids.cpp:

	plugin API: treat DB_DataMerged as success

2011-08-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/dataconversion.cpp:

	dataconversion.cpp: added dummy getConflictingItemByLocalID() to
	resolve compile problem

2011-09-12  Lukas Zeller  <luz@plan44.ch>

	* src/DB_interfaces/api_db/dbapi.cpp:
	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:
	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync_SDK/Sources/syerror.h:
	* src/sysync_SDK/Sources/sync_dbapi.h:

	engine: added more merge options for DB implementations to ask
	engine for.

2011-08-29  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/customimplds.cpp:
	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/stdlogicds.h:
	* src/sysync/superdatastore.h:

	server engine: better support for backend doing its own duplicate
	merging (status 207 from API)

2011-09-15  Lukas Zeller  <luz@plan44.ch>


	Merge remote-tracking branch 'refs/remotes/meego/bmc22783' into
	luz

2011-09-15  Lukas Zeller  <luz@plan44.ch>


	Merge remote-tracking branch 'refs/remotes/meego/master' into luz

2011-09-15  Lukas Zeller  <luz@plan44.ch>

	* src/global_options.h:
	* src/syncml_tk/src/sml/xlt/all/xlttags.c:
	* src/sysync/scriptcontext.cpp:
	* src/sysync_SDK/Sources/engine_defs.h:

	engine 3.4.0.35 + mixed minor cosmetic stuff

2011-09-15  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/binfileimplclient.cpp:

	binfileimplclient: added "binfilesdir" fields to both target and
	profile key, returning the path where the *.bfi files are stored.

2011-09-15  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/customimplds.cpp:

	Made sure zapping a datastore generates at least one pev_deleting
	progress event; slightly better total estimation for zapping
	filtered syncsets.

2011-09-15  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/multifielditem.cpp:
	* src/sysync/multifielditem.h:
	* src/sysync/remotedatastore.cpp:
	* src/sysync/syncdatastore.cpp:
	* src/sysync/syncitem.cpp:
	* src/sysync/syncitemtype.cpp:
	* src/sysync/syncitemtype.h:

	Named methods for registering and getting types more clearly
	(local/remote)

2011-09-15  Lukas Zeller  <luz@plan44.ch>

	* src/DB_interfaces/api_db/dbapi.cpp:
	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:
	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync_SDK/Sources/syerror.h:
	* src/sysync_SDK/Sources/sync_dbapi.h:

	engine: added more merge options for DB implementations to ask
	engine for.

2011-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:

	autotools: bumped version to 3.4.0.16.2

2011-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* autogen.sh:
	* m4-repo/dk-warn.m4:
	* m4/dk-warn.m4:

	autotools: fixed --enable-warning integration

2011-09-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapids.cpp:

	plugin API: support new DB_DataReplaced/Merged/Conflict status
	codes

2011-08-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapids.cpp:

	plugin API: treat DB_DataMerged as success

2011-08-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/dataconversion.cpp:

	dataconversion.cpp: added dummy getConflictingItemByLocalID() to
	resolve compile problem

2011-09-12  Lukas Zeller  <luz@plan44.ch>

	* src/DB_interfaces/api_db/dbapi.cpp:
	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:
	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync_SDK/Sources/syerror.h:
	* src/sysync_SDK/Sources/sync_dbapi.h:

	engine: added more merge options for DB implementations to ask
	engine for.

2011-09-06  Lukas Zeller  <luz@plan44.ch>

	* src/Targets/ReleasedProducts/clientEngine_opensource_linux/clientengine_demo++.pch:
	* src/Targets/ReleasedProducts/clientEngine_opensource_linux/clientengine_demo.pch:

	cosmetic only - obsolete comment cleanup

2011-09-06  Lukas Zeller  <luz@plan44.ch>

	* .gitignore:

	.gitignore excluded local management script and related dirs

2011-09-02  Patrick Ohly  <patrick.ohly@intel.com>

	* autogen.sh:
	* configure.in:
	* m4/dk-warn.m4:
	* src/Makefile.am.in:

	autotools: added --enable-warnings

2011-08-29  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/customimplds.cpp:
	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/stdlogicds.h:
	* src/sysync/superdatastore.h:

	server engine: better support for backend doing its own duplicate
	merging (status 207 from API)

2011-08-29  Lukas Zeller  <luz@plan44.ch>


	Merge remote-tracking branch 'refs/remotes/meego/master' into luz

2011-08-18  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/mimedirprofile.cpp:

	engine: MIME-DIR, fixed de-escaping in only-de-escape-linefeeds
	mode

2011-08-25  Andris Pavenis  <andris.pavenis@ipnetworks.fi>

	* src/sysync/debuglogger.cpp:
	* src/sysync/debuglogger.h:

	Race condition writting global logs

2011-08-18  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/mimedirprofile.cpp:

	engine: MIME-DIR, fixed de-escaping in only-de-escape-linefeeds
	mode

2011-08-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync_SDK/Sources/enginemodulebase.cpp:

	TEngineModuleBase::GetStrValue: use more efficient
	std::string::assign()

2011-08-17  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:
	* src/Makefile.am.in:

	bumped version to 3.4.0.16.1 and .so revision by one

2011-08-16  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/customimplds.cpp:
	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/stdlogicds.h:
	* src/sysync/superdatastore.h:

	server engine: better support for backend doing its own duplicate
	merging (status 207 from API)

2011-08-15  Lukas Zeller  <luz@plan44.ch>


	Merge branch 'meego_patches_luz' into luz

2011-08-15  Lukas Zeller  <luz@plan44.ch>


	Merge remote-tracking branch 'meego/master' into luz

2011-08-15  Andris Pavenis  <andris.pavenis@ipnetworks.fi>

	* src/DB_interfaces/api_db/pluginapiagent.cpp:

	Make it possible to use plain text (B64) authentication when
	plugin uses Password_MD5_Nonce_IN

2011-08-09  Rohan Garg  <rohangarg@kubuntu.org>

	* src/Makefile.am.in:

	Add dl libraries to libsynthesis_la_LIBADD to make the sources
	compile on Ubuntu Oneiric

2011-07-22  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/mimedirprofile.cpp:
	* src/sysync/mimedirprofile.h:

	"blob" fields: Added separate CONVMODE_BLOB_AUTO conversion mode
	for fields that should be rendered as B64 only in case they are
	really non-printable or non-ASCII

2011-07-22  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/mimedirprofile.cpp:
	* src/sysync/mimedirprofile.h:

	"blob" fields: Added separate CONVMODE_BLOB_AUTO conversion mode
	for fields that should be rendered as B64 only in case they are
	really non-printable or non-ASCII

2011-07-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/scriptcontext.cpp:

	scripting: added READ() method

2011-07-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/scriptcontext.cpp:

	script error messages: fixed invalid memory access

2011-07-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/mimedirprofile.cpp:

	"blob" fields: avoid binary encoding if possible

2011-07-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncml_tk/src/sml/mgr/all/mgrcmdbuilder.c:

	SMLTK: fixed g++ 4.6 compiler warning

2011-06-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/mimedirprofile.cpp:

	engine: updated implementation of "unprocessed" wildcard
	properties

2011-06-20  Patrick Ohly  <patrick.ohly@intel.com>


	Merge branch 'master' into overridedevinf

2011-06-20  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/multifielditemtype.cpp:
	* src/sysync/syncitem.cpp:
	* src/sysync/syncitem.h:

	<comparescript>: added COMPAREMODE(), needed to determine compare
	mode

2011-06-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/smltk-linker.map:

	libsmltk.so: export xltDecInit/xltDecTerminate/xltDecNext

2011-06-15  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:

	remote rules + OverrideDevInf: parse DevInf as part of checking
	the config

2011-06-15  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplclient.cpp:
	* src/sysync/binfileimplclient.h:
	* src/sysync/localengineds.cpp:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:

	remote rules: added OverrideDevInf

2011-05-20  Lukas Zeller  <luz@plan44.ch>

	* src/DB_interfaces/api_db/dbapi.cpp:
	* src/DB_interfaces/api_db/dbapi.h:
	* src/DB_interfaces/api_db/dbapi_include.h:
	* src/DB_interfaces/api_db/pluginapiagent.cpp:
	* src/DB_interfaces/api_db/pluginapiagent.h:
	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/DB_interfaces/api_db/pluginapids.h:
	* src/DB_interfaces/odbc_db/odbcapiagent.h:
	* src/DB_interfaces/odbc_db/odbcapids.cpp:
	* src/DB_interfaces/odbc_db/odbcdb_precomp.h:
	* src/Transport_interfaces/engine/engineclientbase.cpp:
	* src/Transport_interfaces/engine/engineclientbase.h:
	* src/Transport_interfaces/engine/enginesessiondispatch.cpp:
	* src/Transport_interfaces/engine/enginesessiondispatch.h:
	* src/platform_adapters/binfile.cpp:
	* src/platform_adapters/binfile.h:
	* src/platform_adapters/configfiles.h:
	* src/platform_adapters/platform_headers.h:
	* src/platform_adapters/platform_thread.h:
	* src/platform_adapters/profiling.h:
	* src/platform_adapters/sysync_glob_vars.h:
	* src/platform_adapters/sysyncinit.cpp:
	* src/platform_adapters/unix_common/platform_pipe.c:
	* src/platform_adapters/unix_common/platform_pipe.h:
	* src/platform_adapters/unix_common/platform_thread.cpp:
	* src/sysync/binfilebase.cpp:
	* src/sysync/binfilebase.h:
	* src/sysync/binfileimplclient.h:
	* src/sysync/binfileimplds.h:
	* src/sysync/clientautosync_inc.h:
	* src/sysync/clientprovisioning_inc.cpp:
	* src/sysync/configelement.cpp:
	* src/sysync/configelement.h:
	* src/sysync/customimplagent.cpp:
	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:
	* src/sysync/dataobjtype.cpp:
	* src/sysync/dataobjtype.h:
	* src/sysync/debuglogger.cpp:
	* src/sysync/debuglogger.h:
	* src/sysync/engineinterface.cpp:
	* src/sysync/engineinterface.h:
	* src/sysync/iso8601.cpp:
	* src/sysync/iso8601.h:
	* src/sysync/mimediritemtype.cpp:
	* src/sysync/mimediritemtype.h:
	* src/sysync/multifielditem.cpp:
	* src/sysync/multifielditem.h:
	* src/sysync/multifielditemtype.cpp:
	* src/sysync/multifielditemtype.h:
	* src/sysync/rawdataitemtype.cpp:
	* src/sysync/rawdataitemtype.h:
	* src/sysync/remotedatastore.cpp:
	* src/sysync/remotedatastore.h:
	* src/sysync/rrules.cpp:
	* src/sysync/rrules.h:
	* src/sysync/scriptcontext.cpp:
	* src/sysync/scriptcontext.h:
	* src/sysync/simpleitem.cpp:
	* src/sysync/simpleitem.h:
	* src/sysync/stdlogicagent.cpp:
	* src/sysync/stdlogicagent.h:
	* src/sysync/stringutils.cpp:
	* src/sysync/stringutils.h:
	* src/sysync/superdatastore.cpp:
	* src/sysync/superdatastore.h:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncagent.h:
	* src/sysync/syncappbase.cpp:
	* src/sysync/syncappbase.h:
	* src/sysync/syncclientbase.cpp:
	* src/sysync/synccommand.cpp:
	* src/sysync/synccommand.h:
	* src/sysync/syncdatastore.cpp:
	* src/sysync/syncitem.cpp:
	* src/sysync/syncitem.h:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:
	* src/sysync/syncsessiondispatch.cpp:
	* src/sysync/syncsessiondispatch.h:
	* src/sysync/syserial.h:
	* src/sysync/sysync_crc16.cpp:
	* src/sysync/sysync_crc16.h:
	* src/sysync/sysync_debug.h:
	* src/sysync/sysync_globs.h:
	* src/sysync/textitemtype.cpp:
	* src/sysync/textitemtype.h:
	* src/sysync/textprofile.cpp:
	* src/sysync/textprofile.h:
	* src/sysync/timezones.cpp:
	* src/sysync/timezones.h:
	* src/sysync/vcalendaritemtype.cpp:
	* src/sysync/vcalendaritemtype.h:
	* src/sysync/vcarditemtype.cpp:
	* src/sysync/vcarditemtype.h:
	* src/sysync/vtimezone.cpp:
	* src/sysync_SDK/Sources/engine_defs.h:
	* src/sysync_SDK/Sources/enginemodulebase.h:
	* src/sysync_SDK/Sources/generic_types.h:
	* src/sysync_SDK/Sources/lineartime.cpp:
	* src/sysync_SDK/Sources/lineartime.h:
	* src/sysync_SDK/Sources/san.cpp:
	* src/sysync_SDK/Sources/san.h:
	* src/sysync_SDK/Sources/sync_dbapi.h:
	* src/sysync_SDK/Sources/sync_dbapidef.h:
	* src/sysync_SDK/Sources/sysync_b64.cpp:
	* src/sysync_SDK/Sources/timeutil.cpp:
	* src/sysync_SDK/Sources/timeutil.h:

	whitespace cosmetics only: detabbed once again

2011-05-20  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/localengineds.cpp:

	tempGUID checking: disabled expensive checks in normal builds
	(SYDEBUG>1 will enable it)

2011-05-20  Lukas Zeller  <luz@plan44.ch>

	* src/DB_interfaces/api_db/dbapi.cpp:
	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:
	* src/Makefile.am.in:
	* src/global_options.h:
	* src/sysync/mimedirprofile.h:
	* src/sysync_SDK/Sources/SDK_util.c:
	* src/sysync_SDK/Sources/sync_dbapidef.h:

	engine 3.4.0.30, SDK 1.9.1 updates

2011-05-20  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/binfileimplclient.cpp:

	Made d00c705d95 (binfile client: allow configs without server
	URL) conditional. Older Synthesis targets need that check.

2011-05-20  Lukas Zeller  <luz@plan44.ch>


	Merge remote branch 'refs/remotes/meego/master' into luz

2011-05-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/debuglogger.cpp:

	TDebugLoggerBase: improved clang error suppression

2011-05-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/customimplds.h:

	BinFileImplDS: ignore apiEndDataWrite() name clash

2011-05-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:

	Revert "BinFileImplDS: apiEndDataWrite() ambiguous"

2011-05-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplclient.cpp:
	* src/sysync/binfileimplds.cpp:

	gcc 4.6: fixed compile issue

2011-04-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/mimedirprofile.cpp:

	MAKE/PARSETEXTWITHPROFILE(): support recursive <include rule>

2011-04-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:
	* src/sysync_SDK/Sources/engine_defs.h:

	server progress events: report stable sync mode

2011-04-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/scriptcontext.cpp:
	* src/sysync/stringutils.cpp:
	* src/sysync/syncappbase.cpp:
	* src/sysync_SDK/Sources/SDK_support.cpp:

	fixed compiler warnings around "unsigned >= 0"

2011-04-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:

	BinFileImplDS: apiEndDataWrite() ambiguous

2011-03-28  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Makefile.am.in:
	* synthesis-sdk.pc.in:
	* synthesis.pc.in:

	Synthesis SDK: explicitly define dependency on libsmltk

2011-02-28  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:
	* src/Makefile.am.in:

	version bump: new revision, mark in .pc file

2011-02-18  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/platform_adapters/binfile.cpp:
	* src/sysync/binfileimplds.cpp:
	* src/sysync/customimplds.cpp:
	* src/sysync/debuglogger.cpp:
	* src/sysync/mimedirprofile.cpp:
	* src/sysync/rrules.cpp:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncappbase.cpp:
	* src/sysync/timezones.cpp:
	* src/sysync_SDK/Sources/dbitem.cpp:

	compiler fixes for clang 2.8

2011-01-31  Patrick Ohly  <patrick.ohly@intel.com>


	Merge remote branch 'synthesis/luz'

2011-01-28  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/mimedirprofile.cpp:
	* src/sysync_SDK/Sources/sysync_utils.cpp:

	mime-dir: Improved QP decoding, now detects not only CRLF, but
	also CR and LF within QP. Also fixed generator to avoid softbreak
	indicator at end of string.

2011-01-28  Lukas Zeller  <luz@plan44.ch>

	* src/global_options.h:
	* src/sysync/mimedirprofile.cpp:
	* src/sysync/mimedirprofile.h:

	B64 decoding: fixed bad bug found by Patrick (thanks!) that
	caused B64 encoded properties not to be decoded any more. This
	was introduced with 3529d3cb09

2011-01-27  Patrick Ohly  <patrick.ohly@intel.com>


	Merge remote branch 'synthesis/luz'

2011-01-27  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/mimedirprofile.cpp:
	* src/sysync/mimedirprofile.h:
	* src/sysync/vcalendaritemtype.h:

	mimedir: more generic solution for conversion options (instead of
	special modes like BDAY, which is removed again)

2011-01-26  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/mimedirprofile.cpp:
	* src/sysync/mimedirprofile.h:

	added conversion="BDAY" to render BDAY in ISO8601 extended format
	(special case for this property, even in vCard 3.0).

2011-01-26  Patrick Ohly  <patrick.ohly@intel.com>


	Merge remote branch 'synthesis/luz'

2011-01-25  Lukas Zeller  <luz@plan44.ch>

	* src/global_options.h:
	* src/sysync/mimedirprofile.cpp:
	* src/sysync/mimedirprofile.h:

	engine: implemented "unprocessed" wildcard properties to allow
	handling unknown extensions (like X-xxxx properies)

2011-01-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/mimedirprofile.cpp:
	* src/sysync/mimedirprofile.h:

	MAKE/PARSETEXTWITHPROFILE(): allow rule parameter to influence
	global conversion options

2011-01-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/mimedirprofile.cpp:

	TMimeDirProfileHandler::getOptionsFromDatastore(): clarify usage
	of session pointer

2011-01-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplclient.cpp:

	binfile client: allow configs without server URL

2011-01-20  Lukas Zeller  <luz@plan44.ch>

	* src/DB_interfaces/api_db/DLL_interface.cpp:
	* src/DB_interfaces/api_db/DLL_interface.h:
	* src/DB_interfaces/api_db/dbapi.cpp:
	* src/DB_interfaces/api_db/dbapi.h:
	* src/DB_interfaces/api_db/dbapi_include.h:
	* src/DB_interfaces/api_db/pluginapiagent.cpp:
	* src/DB_interfaces/api_db/pluginapiagent.h:
	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/DB_interfaces/api_db/pluginapids.h:
	* src/DB_interfaces/api_db/sync_dbapiconnect.cpp:
	* src/DB_interfaces/api_db/sync_dbapiconnect.h:
	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:
	* src/DB_interfaces/odbc_db/odbcapiagent.h:
	* src/DB_interfaces/odbc_db/odbcapids.cpp:
	* src/DB_interfaces/odbc_db/odbcapids.h:
	* src/Targets/ReleasedProducts/SDK/target_options.h:
	* src/Transport_interfaces/engine/engineclientbase.cpp:
	* src/Transport_interfaces/engine/engineclientbase.h:
	* src/Transport_interfaces/engine/enginesessiondispatch.cpp:
	* src/Transport_interfaces/engine/enginesessiondispatch.h:
	* src/platform_adapters/binfile.cpp:
	* src/platform_adapters/binfile.h:
	* src/platform_adapters/configfiles.h:
	* src/platform_adapters/linux/configfiles.cpp:
	* src/platform_adapters/linux/platform_DLL.cpp:
	* src/platform_adapters/linux/platform_exec.c:
	* src/platform_adapters/linux/platform_exec.h:
	* src/platform_adapters/linux/platform_headers.h:
	* src/platform_adapters/linux/platform_time.cpp:
	* src/platform_adapters/linux/platform_time.h:
	* src/platform_adapters/linux/platform_timezones.cpp:
	* src/platform_adapters/linux/profiling.cpp:
	* src/platform_adapters/platform_DLL.h:
	* src/platform_adapters/platform_file.h:
	* src/platform_adapters/platform_headers.h:
	* src/platform_adapters/platform_mutex.h:
	* src/platform_adapters/platform_thread.h:
	* src/platform_adapters/profiling.h:
	* src/platform_adapters/sysync_glob_vars.h:
	* src/platform_adapters/sysyncinit.cpp:
	* src/platform_adapters/unix_common/platform_file.cpp:
	* src/platform_adapters/unix_common/platform_mutex.cpp:
	* src/platform_adapters/unix_common/platform_pipe.c:
	* src/platform_adapters/unix_common/platform_pipe.h:
	* src/platform_adapters/unix_common/platform_thread.cpp:
	* src/syncapps/clientEngine_custom/clientengine_custom_Base.cpp:
	* src/syncapps/clientEngine_custom/clientengine_custom_Base.h:
	* src/syncapps/serverEngine_custom/serverengine_custom_Base.cpp:
	* src/syncapps/serverEngine_custom/serverengine_custom_Base.h:
	* src/syncapps/sysytool/sysytool.cpp:
	* src/syncapps/sysytool/sysytool_dispatch.cpp:
	* src/syncapps/sysytool/sysytool_dispatch.h:
	* src/sysync/binfilebase.cpp:
	* src/sysync/binfilebase.h:
	* src/sysync/binfileimplclient.cpp:
	* src/sysync/binfileimplclient.h:
	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:
	* src/sysync/clientautosync_inc.cpp:
	* src/sysync/clientprovisioning_inc.cpp:
	* src/sysync/configelement.cpp:
	* src/sysync/configelement.h:
	* src/sysync/customimplagent.cpp:
	* src/sysync/customimplagent.h:
	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:
	* src/sysync/dataobjtype.cpp:
	* src/sysync/dataobjtype.h:
	* src/sysync/debuglogger.cpp:
	* src/sysync/debuglogger.h:
	* src/sysync/engineentry.cpp:
	* src/sysync/engineentry.h:
	* src/sysync/engineinterface.cpp:
	* src/sysync/engineinterface.h:
	* src/sysync/global_progress.h:
	* src/sysync/iso8601.cpp:
	* src/sysync/iso8601.h:
	* src/sysync/itemfield.cpp:
	* src/sysync/itemfield.h:
	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/mimediritemtype.cpp:
	* src/sysync/mimediritemtype.h:
	* src/sysync/mimedirprofile.cpp:
	* src/sysync/mimedirprofile.h:
	* src/sysync/multifielditem.cpp:
	* src/sysync/multifielditem.h:
	* src/sysync/multifielditemtype.cpp:
	* src/sysync/multifielditemtype.h:
	* src/sysync/rawdataitemtype.cpp:
	* src/sysync/rawdataitemtype.h:
	* src/sysync/remotedatastore.cpp:
	* src/sysync/remotedatastore.h:
	* src/sysync/rrules.cpp:
	* src/sysync/rrules.h:
	* src/sysync/scriptcontext.cpp:
	* src/sysync/scriptcontext.h:
	* src/sysync/simpleitem.cpp:
	* src/sysync/simpleitem.h:
	* src/sysync/stdlogicagent.cpp:
	* src/sysync/stdlogicagent.h:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/stdlogicds.h:
	* src/sysync/stringutils.cpp:
	* src/sysync/stringutils.h:
	* src/sysync/superdatastore.cpp:
	* src/sysync/superdatastore.h:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncagent.h:
	* src/sysync/syncappbase.cpp:
	* src/sysync/syncappbase.h:
	* src/sysync/syncclientbase.cpp:
	* src/sysync/syncclientbase.h:
	* src/sysync/synccommand.cpp:
	* src/sysync/synccommand.h:
	* src/sysync/syncdatastore.cpp:
	* src/sysync/syncdatastore.h:
	* src/sysync/syncitem.cpp:
	* src/sysync/syncitem.h:
	* src/sysync/syncitemtype.cpp:
	* src/sysync/syncitemtype.h:
	* src/sysync/syncml_globs.h:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:
	* src/sysync/syncsessiondispatch.cpp:
	* src/sysync/syncsessiondispatch.h:
	* src/sysync/syserial.h:
	* src/sysync/sysync_crc16.cpp:
	* src/sysync/sysync_crc16.h:
	* src/sysync/sysync_debug.h:
	* src/sysync/sysync_globs.h:
	* src/sysync/textitemtype.cpp:
	* src/sysync/textitemtype.h:
	* src/sysync/textprofile.cpp:
	* src/sysync/textprofile.h:
	* src/sysync/timezones.cpp:
	* src/sysync/timezones.h:
	* src/sysync/tz_table.h:
	* src/sysync/uiapi.cpp:
	* src/sysync/uiapi.h:
	* src/sysync/vcalendaritemtype.cpp:
	* src/sysync/vcalendaritemtype.h:
	* src/sysync/vcarditemtype.cpp:
	* src/sysync/vcarditemtype.h:
	* src/sysync/vtimezone.cpp:
	* src/sysync/vtimezone.h:
	* src/sysync_SDK/DB_Interfaces/demo/DLL/target_options.h:
	* src/sysync_SDK/DB_Interfaces/demo/sync_dbapi_demo.c:
	* src/sysync_SDK/DB_Interfaces/snowwhite/DLL/target_options.h:
	* src/sysync_SDK/DB_Interfaces/snowwhite/myadapter.h:
	* src/sysync_SDK/DB_Interfaces/snowwhite/oceanblue.cpp:
	* src/sysync_SDK/DB_Interfaces/snowwhite/oceanblue.h:
	* src/sysync_SDK/DB_Interfaces/snowwhite/snowwhite.cpp:
	* src/sysync_SDK/DB_Interfaces/snowwhite/snowwhite.h:
	* src/sysync_SDK/DB_Interfaces/text_db/DLL/target_options.h:
	* src/sysync_SDK/DB_Interfaces/text_db/sync_dbapi_text.cpp:
	* src/sysync_SDK/Sources/SDK_support.cpp:
	* src/sysync_SDK/Sources/SDK_support.h:
	* src/sysync_SDK/Sources/SDK_util.c:
	* src/sysync_SDK/Sources/SDK_util.h:
	* src/sysync_SDK/Sources/UI_util.cpp:
	* src/sysync_SDK/Sources/UI_util.h:
	* src/sysync_SDK/Sources/admindata.cpp:
	* src/sysync_SDK/Sources/admindata.h:
	* src/sysync_SDK/Sources/blobs.cpp:
	* src/sysync_SDK/Sources/blobs.h:
	* src/sysync_SDK/Sources/dbitem.cpp:
	* src/sysync_SDK/Sources/dbitem.h:
	* src/sysync_SDK/Sources/engine_defs.h:
	* src/sysync_SDK/Sources/enginemodulebase.cpp:
	* src/sysync_SDK/Sources/enginemodulebase.h:
	* src/sysync_SDK/Sources/enginemodulebridge.cpp:
	* src/sysync_SDK/Sources/enginemodulebridge.h:
	* src/sysync_SDK/Sources/lineartime.cpp:
	* src/sysync_SDK/Sources/lineartime.h:
	* src/sysync_SDK/Sources/prefix_file.h:
	* src/sysync_SDK/Sources/san.cpp:
	* src/sysync_SDK/Sources/san.h:
	* src/sysync_SDK/Sources/stringutil.cpp:
	* src/sysync_SDK/Sources/stringutil.h:
	* src/sysync_SDK/Sources/syerror.h:
	* src/sysync_SDK/Sources/sync_dbapi.h:
	* src/sysync_SDK/Sources/sync_dbapidef.h:
	* src/sysync_SDK/Sources/sync_declarations.h:
	* src/sysync_SDK/Sources/sync_include.h:
	* src/sysync_SDK/Sources/sync_uiapi.h:
	* src/sysync_SDK/Sources/syncexception.cpp:
	* src/sysync_SDK/Sources/syncexception.h:
	* src/sysync_SDK/Sources/sysync_utils.cpp:
	* src/sysync_SDK/Sources/sysync_utils.h:
	* src/sysync_SDK/Sources/timeutil.cpp:
	* src/sysync_SDK/Sources/timeutil.h:

	Updated copyright notice, year and author email address (comment
	only, no code changes)

2011-01-20  Lukas Zeller  <luz@plan44.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/sysync/localengineds.cpp:
	* src/sysync/mimedirprofile.cpp:

	changed debug logging channel for tempGUID mapping debug: now is
	DBG_ADMIN+DBG_EXOTIC

2011-01-20  Lukas Zeller  <luz@synthesis.ch>


	Merge remote branch 'refs/remotes/meego/master' into luz_updates

2011-01-19  Lukas Zeller  <luz@plan44.ch>

	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:

	engine: ODBC: SQLEXECUTE() within <afterconnectscript> sometimes
	did not execute on the new connection, but on the old one.

2010-12-15  Lukas Zeller  <luz@plan44.ch>

	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:
	* src/DB_interfaces/odbc_db/odbcapiagent.h:
	* src/global_options.h:

	ODBC: adjusted for 64bit, especially using SQLLEN which is not
	same as SQLINTEGER in 64bit

2011-01-13  Lukas Zeller  <luz@plan44.ch>

	* src/global_options.h:
	* src/sysync/customimplds.cpp:

	engine: fixed problem when client-replace wins conflict over
	server-delete.

2011-01-13  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/mimedirprofile.cpp:

	engine: comment cosmetics

2010-12-18  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/binfileimplclient.cpp:
	* src/sysync/binfileimplds.cpp:
	* src/sysync/itemfield.cpp:
	* src/sysync/itemfield.h:
	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/stdlogicds.h:

	whitespace cosmetics ONLY: detabbed some files once again

2010-12-18  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/stdlogicds.h:

	engine: server: optimized tempGUIDs - only generate them when
	needed.

2010-12-16  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/localengineds.cpp:

	engine: server case: fixed bad bug that could mess up tempGUIDs.
	These must be cleared when first <Sync> is received.

2010-12-15  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:
	* src/sysync/itemfield.cpp:
	* src/sysync/itemfield.h:

	engine 3.4.0.22: to test the assigned status of an array field,
	access to array index -1 now returns status.

2010-12-15  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/mimedirprofile.cpp:

	engine: in valuelists with suppressempty not set, an exhaused
	array must generate an empty property (and NOT no property at
	all)

2010-12-14  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/mimedirprofile.cpp:

	engine: prevent generating invalid recurrence end specifications
	in vCalendar 1.0 RRULE (date-only not allowed, must be date+time)

2010-12-05  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:
	* src/syncapps/sysytool/sysytool.cpp:

	engine: decoupled displayed release year from license-relevant
	"release" (now called "start of release period for product")

2010-12-02  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:
	* src/sysync/binfileimplds.cpp:

	engine 3.4.0.20 - no longer forces slow sync on other profiles
	when one profile is zapped (with separate changelogs)

2010-10-25  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/binfileimplclient.cpp:

	engine: added check for first time sync (no remote anchor saved)
	for zap warnings.

2010-10-22  Lukas Zeller  <luz@synthesis.ch>

	* src/syncml_tk/src/sml/xlt/all/xltdec.c:

	SyncMLTK: in xltdec error message, dump of hex was ok, but ASCII
	showed the wrong bytes

2010-09-21  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:

	engine 3.4.0.19 - with Patrick's patch for TZNAME TZID encoding

2010-09-21  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncagent.cpp:

	engine: added missing ifdef for compiling client-only library

2011-01-20  Beat Forster  <bfo@synthesis.ch>

	* src/DB_interfaces/api_db/dbapi.cpp:
	* src/DB_interfaces/api_db/dbapi.h:
	* src/DB_interfaces/api_db/dbapi_include.h:
	* src/DB_interfaces/api_db/sync_dbapiconnect.cpp:
	* src/DB_interfaces/api_db/sync_dbapiconnect.h:
	* src/sysync_SDK/DB_Interfaces/demo/sync_dbapi_demo.c:
	* src/sysync_SDK/DB_Interfaces/snowwhite/oceanblue.cpp:
	* src/sysync_SDK/DB_Interfaces/snowwhite/oceanblue.h:
	* src/sysync_SDK/DB_Interfaces/text_db/sync_dbapi_text.cpp:
	* src/sysync_SDK/Sources/sync_dbapi.h:
	* src/sysync_SDK/Sources/sync_dbapidef.h:

	engine: LoadAdminAsKey/SaveAdminAsKey prepared in DB-API (actual
	usage in engine still missing)

2011-01-20  Lukas Zeller  <luz@synthesis.ch>

	* AUTHORS:
	* COPYING:
	* LICENSE.EPL:

	Updated licensing files and author emails

2011-01-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncml_tk/src/sml/xlt/all/xltenc.c:

	SyncML TK: adjust size of DevInf buffer dynamically

2011-01-10  Patrick Ohly  <patrick.ohly@intel.com>


	Merge remote branch 'synthesis/luz'

2010-12-16  Lukas Zeller  <luz@plan44.ch>

	* src/sysync/localengineds.cpp:

	engine: server case: fixed bad bug that could mess up tempGUIDs.
	These must be cleared when first <Sync> is received.

2010-12-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:

	temporary ID mapping: flag unexpected state as real errors

2010-12-15  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/linux/platform_timezones.cpp:

	Linux time zones: use TZID=<location> instead of
	TZID=/softwarestudio.org/Tzfile/<location>

2010-12-14  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/mimedirprofile.cpp:

	engine: prevent generating invalid recurrence end specifications
	in vCalendar 1.0 RRULE (date-only not allowed, must be date+time)

2010-12-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/mimedirprofile.cpp:

	Revert "vCalendar 1.0: avoid RRULE end date without time"

2010-12-14  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:
	* src/Makefile.am.in:

	autotools: fix compilation with old libtool 1.5.22 on CentOS 5.5

2010-12-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/mimedirprofile.cpp:

	vCalendar 1.0: avoid RRULE end date without time

2010-12-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/vtimezone.cpp:

	vtimezone: retain original TZID in imported definitions

2010-12-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/linux/platform_timezones.cpp:
	* src/sysync/timezones.h:
	* src/sysync/vtimezone.cpp:
	* src/sysync/vtimezone.h:

	vtimezones: explicitly store std and dst TZNAME

2010-12-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:

	maximum UID size: avoid redundant tempUID->localUID mappings

2010-12-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/sysync/localengineds.cpp:

	temporary IDs: avoid reusing existing ID

2010-12-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncml_tk/src/sml/mgr/all/mgrinstancemgr.c:

	SyncML Toolkit: fixed memory leak in case of error

2010-12-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncsession.cpp:

	sync session: handle empty Target URI

2010-11-28  David Bremner  <bremner@unb.ca>

	* src/Targets/ReleasedProducts/SDK/target_options.h:

	improve detection of MacOS X, to avoid confusion on other Mach
	systems

2010-08-24  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/multifielditemtype.cpp:
	* src/sysync/syncitem.cpp:
	* src/sysync/syncitem.h:

	engine: added new compare mode for fields: "scripted"

2010-10-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/itemfield.cpp:

	newItemField(): incorrect parameters

2010-09-30  Lukas Zeller  <luz@synthesis.ch>


	Merge remote branch 'refs/remotes/meego/master' into luz

2010-09-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/vtimezone.cpp:

	vtimezone: fixed handling of TZID with special characters

2010-09-16  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/timezones.cpp:

	engine 3.4.0.17: fixed bad timezones bug causing imported TZ to
	be treated as "Z" zone

2010-09-16  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:
	* src/sysync/timezones.cpp:

	engine 3.4.0.17: fixed bad timezones bug causing imported TZ to
	be treated as "Z" zone

2010-09-08  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:

	engine 3.4.0.16 - internal and libsynthesis sources in sync

2010-09-08  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync_SDK/Sources/SDK_util.c:
	* src/sysync_SDK/Sources/sync_dbapidef.h:

	SDK version is now 1.8.0

2010-09-08  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/rawdataitemtype.cpp:
	* src/sysync/stdlogicds.cpp:

	some whitespace cosmetics

2010-09-08  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/binfileimplds.cpp:

	binfileimplds: added some more debug output for observing
	pseudo-change suppression and CRC checking in general

2010-08-29  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:

	engine 3.4.0.15 - version built as update for command line
	clients and all servers

2010-08-26  Lukas Zeller  <luz@synthesis.ch>

	* src/syncml_tk/src/sml/xlt/all/xltdecwbxml.c:
	* src/syncml_tk/src/sml/xlt/all/xltenc.c:
	* src/sysync/syncappbase.cpp:

	engine: Now allows WBXML 1.3

2010-08-25  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/DB_interfaces/api_db/pluginapids.h:

	engine: now checks for CA_DeleteSyncSet module capability to
	optimize performance in some "reload device" cases.

2010-08-24  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:

	engine: we need getItemFromSyncSetItem() in all cases

2010-08-24  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:
	* src/sysync/customimplds.cpp:

	engine: added <pseudochangedetection> option for datastores with
	records that get touched (modified date updated) too often.

2010-08-24  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/multifielditemtype.cpp:
	* src/sysync/syncitem.cpp:
	* src/sysync/syncitem.h:

	engine: added new compare mode for fields: "scripted"

2010-08-24  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:

	engine: prepared (but not yet enabled) optimization for
	pluginApiDS such that syncset is not loaded in a slow refresh
	from remote case.

2010-08-24  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/customimplds.cpp:

	engine: fixed boolean bug from 041c7f808f (engine 3.4.0.14:
	implemented filtered sync set deletion)

2010-08-24  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/DB_interfaces/api_db/pluginapids.h:
	* src/DB_interfaces/odbc_db/odbcapids.cpp:
	* src/global_options.h:
	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:
	* src/sysync/localengineds.cpp:

	engine 3.4.0.14: implemented filtered sync set deletion

2010-07-29  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/itemfield.cpp:

	engine: cosmetic - removed obsolete commented out code

2010-07-25  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/mimedirprofile.cpp:
	* src/sysync/mimedirprofile.h:

	engine: refined folding for pre-MIME-DIR and MIME-DIR - new
	"foldbetween" <property> attribute.

2010-07-17  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/mimedirprofile.cpp:
	* src/sysync/mimedirprofile.h:

	engine: improved folding for pre-MIME-DIR formats.

2010-07-12  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:

	engine: client side filtering: when re-alerting, filters must be
	reset before re-creating the alert.

2010-07-12  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/global_options.h:
	* src/sysync/binfileimplds.cpp:

	engine 3.4.0.11: fixed problems with change detection when items
	can disappear and re-appear with same ID in syncset, and with
	some filtering scenarios.

2010-06-28  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/rrules.cpp:

	engine: rrules: cosmetic comment only: clarification of enddate
	TZ for iCalendar 2.0

2010-06-25  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/binfileimplds.cpp:

	engine: multi-profile: when a new profile was added AFTER
	migration to separate profiles, the changelog was created with
	the unified name instead of per-profile.

2010-06-25  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/binfilebase.cpp:
	* src/sysync/binfilebase.h:

	binfile: added aOverwrite option for createAsCopyFrom() to
	allow/prevent overwriting possibly existing target.

2010-06-24  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/binfileimplclient.cpp:

	engine: search datastores by dbtypeID, not name.

2010-06-24  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncagent.cpp:

	engine: added "isserver" sessionKey value for plugins to check if
	they run as a server or client

2010-06-24  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:
	* src/sysync/localengineds.cpp:
	* src/sysync_SDK/Sources/sysync_utils.cpp:

	engine: errors from StartDataRead now propagate correctly,
	binfilelog and events get correct local status code now.

2010-06-23  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/configelement.cpp:

	engine: fixed config parsing bug that could cause some elements
	to get ignored when preceeded by a ifdeffed-out element.

2010-06-22  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/itemfield.cpp:
	* src/sysync/itemfield.h:

	engine: itemFields: arrayfield now always have one field
	(firstField) instantiated to be able to perform type check using
	elementsBasedOn()

2010-06-22  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/sysync/binfileimplds.cpp:
	* src/sysync/customimplds.cpp:

	engine: when post-processing items read via plugins from AsKey,
	now correctly apply <userzoneoutput> if it is set.

2010-06-22  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:
	* src/sysync/binfilebase.cpp:
	* src/sysync/binfilebase.h:
	* src/sysync/binfileimplclient.cpp:
	* src/sysync/binfileimplclient.h:
	* src/sysync/binfileimplds.cpp:

	engine 3.4.0.10: separate changelogs, pendingmaps and pendingitem
	for each profile to allow for different syncsets in profiles (as
	needed by SyncML PRO iOS)

2010-06-21  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/binfileimplclient.cpp:

	engine: added read-only "profileID" value in target key, for
	backreferencing the profile from the target.

2010-06-17  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:

	engine 3.4.0.9 - mobile OS X platforms (iPhone, iPad, iPod touch)
	now are called "iOS". Engine also contains work-in-progress
	EventKit plugin.

2010-06-17  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:

	engine: iOS: that's how the platform (MOBOSX) is now called

2010-05-23  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/engineinterface.cpp:
	* src/sysync/syncappbase.cpp:

	engine license checking: added "enabledStatus" key to /licensing
	to check enabled status including free evaluation period

2010-05-21  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/dataobjtype.cpp:

	dataobjtype: fixed bug that caused dataobjs without a profile
	(e.g. "file") to crash on creation.

2010-05-19  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/rawdataitemtype.cpp:

	rawdataitemtype: eliminated warning (unused var)

2010-05-16  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/rawdataitemtype.cpp:

	iPhoneOS and MacOS X builds: included rawdataitemtype
	(simpletype)

2010-05-16  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncagent.cpp:

	engine: server-only library did not compile w/o PROGRESS_EVENTS
	defined

2010-05-14  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncagent.h:

	client-only-engine: made compile again, progress event vars must
	be common for server and client!

2010-09-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/mimedirprofile.cpp:

	MIME Profile: setting one rule also activates all included rules

2010-09-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/mimedirprofile.cpp:

	MIME Profile: check <parameter rule="something"> when parsing

2010-09-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/mimedirprofile.cpp:

	MIME Profile: check <parameter rule="something"> when generating

2010-09-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/mimedirprofile.cpp:
	* src/sysync/mimedirprofile.h:

	MIME Profile: added <parameter rule="something">

2010-09-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplds.cpp:

	TBinfileImplDS: fixed some valgrind reports

2010-06-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gen-makefile-am.sh:

	gen-makefile-am.sh: make file order deterministic

2010-06-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Makefile.am.in:

	Linux .so: API extension => version bump

2010-05-27  Zhu, Yongsheng  <yongsheng.zhu@intel.com>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/stringutils.cpp:
	* src/sysync/syncagent.cpp:

	valgrind issues: fix memory issues reported by valgrind

2010-05-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/vtimezone.cpp:

	VTIMEZONEtoTZEntry/GetTZInfo: fixed unitialized read of bias

2010-05-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/linux/platform_timezones.cpp:

	Linux time zones: avoid crash when reading time zone definitions
	fails

2010-05-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/rawdataitemtype.cpp:

	avoid warnings, they are treated as errors in SyncEvolution
	builds

2010-05-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/timezones.cpp:
	* src/sysync/timezones.h:

	GZones: only call finalizeSystemZoneDefinitions() once

2010-05-14  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:
	* src/sysync/rawdataitemtype.cpp:
	* src/sysync/rawdataitemtype.h:
	* src/sysync/syncappbase.cpp:
	* src/sysync/syncitemtype.cpp:

	Engine 3.4.0.8: Added rawdataitemtype (passes SyncML data 1:1 to
	DBAPI)

2010-05-14  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/debuglogger.h:
	* src/sysync/syncappbase.cpp:
	* src/sysync/sysync_debug.h:

	Source-Linked Logs: fixed to work with older monolithic Synthesis
	targets as well

2010-05-13  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/debuglogger.cpp:

	Source-Linked Logs: added ifdef to compile without
	SYDEBUG_LOCATION again

2010-05-13  Lukas Zeller  <luz@synthesis.ch>


	Merge remote branch 'moblin/doxygen' into luz

2010-05-13  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/debuglogger.cpp:
	* src/sysync/debuglogger.h:
	* src/sysync/syncappbase.cpp:
	* src/sysync_SDK/Sources/sysync_utils.cpp:
	* src/sysync_SDK/Sources/sysync_utils.h:

	Source-Linked Logs: added more options, now can also create
	txmt://-links that open BBEdit or TextMate

2010-05-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapiagent.cpp:
	* src/Doxyfile:
	* src/Makefile.am.in:
	* src/sysync/debuglogger.cpp:
	* src/sysync/debuglogger.h:
	* src/sysync/engineinterface.cpp:
	* src/sysync/syncappbase.cpp:
	* src/sysync/syncclientbase.cpp:
	* src/sysync/sysync_debug.h:

	Source-Linked Logs: record and link call location of debug
	messages in (HTML) log files

2010-05-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Doxyfile:

	Source-Linked Logs: Doxyfile: generic one without modifications

2010-05-12  Lukas Zeller  <luz@synthesis.ch>

	* src/platform_adapters/linux/platform_timezones.cpp:
	* src/sysync/timezones.cpp:
	* src/sysync/timezones.h:

	TZ init: some cleanup and updates for non-Linux platforms

2010-05-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/linux/platform_timezones.cpp:
	* src/sysync/syncappbase.cpp:
	* src/sysync/syncappbase.h:
	* src/sysync/timezones.cpp:
	* src/sysync/timezones.h:

	TZ init: split initialisation of system time zone list into two
	parts (basic usability of TZ system must be ready before config
	reading, extra TZ retrieved from system can be added later)

2010-05-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/rrules.cpp:

	fixed compiler warning on 64 bit: printf %llX size mismatch

2010-05-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/timezones.cpp:
	* src/sysync/timezones.h:
	* src/sysync/vtimezone.cpp:

	time zone matching: added debug and error logging

2010-05-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/linux/platform_timezones.cpp:

	Linux platform time zones: added debug output

2010-05-11  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:
	* src/DB_interfaces/api_db/pluginapiagent.cpp:
	* src/Doxyfile:
	* src/Makefile.am.in:
	* src/sysync/debuglogger.cpp:
	* src/sysync/debuglogger.h:
	* src/sysync/engineinterface.cpp:
	* src/sysync/syncappbase.cpp:
	* src/sysync/syncclientbase.cpp:
	* src/sysync/sysync_debug.h:

	log call location of debug messages

2010-05-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Doxyfile:

	Doxyfile: generic one without modifications

2010-05-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/vtimezone.cpp:

	VTIMEZONEtoTZEntry(): flagged failure incorrectly for VTIMEZONE
	without summer saving

2010-05-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/linux/platform_timezones.cpp:
	* src/sysync/syncappbase.cpp:
	* src/sysync/timezones.cpp:
	* src/sysync/timezones.h:

	time zone init and logging: split into part before and after
	config parsing

2010-05-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/rrules.cpp:

	fixed compiler warning on 64 bit: printf %llX size mismatch

2010-05-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/timezones.cpp:
	* src/sysync/timezones.h:
	* src/sysync/vtimezone.cpp:

	time zone matching: added debug and error logging

2010-05-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/linux/platform_timezones.cpp:

	Linux platform time zones: added debug output

2010-05-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncappbase.cpp:
	* src/sysync/syncappbase.h:

	TSyncAppBase: moved system time zone parsing after config reading

2010-05-07  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/rrules.cpp:

	rrules: cosmetics for debug and formatting

2010-05-07  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/mimedirprofile.cpp:
	* src/sysync/scriptcontext.cpp:

	VTIMEZONE conversion: added logging so we can see what's
	happening (RRULE parsing)

2010-05-07  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/sysync_debug.h:

	engine debug: enhanced LOGDEBUG... macros (made safe against
	logger==NULL), added LOGDEBUGTEST

2010-05-07  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncappbase.h:

	engine: fixed problems with new progress events (many errors in
	targets w/o progress events)

2010-05-07  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/rrules.cpp:
	* src/sysync/rrules.h:
	* src/sysync/vtimezone.cpp:

	engine: enhanced RRULE parsing such that it can accept YEARLY
	rules with BYMONTH and BYDAY with a start date that is not an
	occurrence (happens in some 3rd party VTIMEZONE)

2010-05-04  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/engineinterface.cpp:
	* src/sysync/syncappbase.cpp:
	* src/sysync/syncappbase.h:

	engine: configvars can now be unset (undefined) by writing
	VALTYPE_NULL to them

2010-04-30  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/binfileimplds.cpp:

	Cosmetic whitespace changes

2010-03-16  Beat Forster  <bfo@synthesis.ch>

	* src/platform_adapters/linux/configfiles.cpp:
	* src/platform_adapters/linux/platform_timezones.cpp:
	* src/sysync/timezones.cpp:
	* src/sysync/tz_table.h:

	- Android gets system timezone correctly now - Get Olson timezone
	names for Android - HST/HPT added at tz_table.h (Honolulu)

2010-03-16  Beat Forster  <bfo@synthesis.ch>

	* src/sysync_SDK/Sources/engine_defs.h:

	new mode PROFILEFLAG_MSGNEXTSYNC added

2010-03-16  Beat Forster  <bfo@synthesis.ch>

	* src/DB_interfaces/api_db/DLL_interface.cpp:
	* src/DB_interfaces/api_db/DLL_interface.h:

	Android reporting more specific for ConsolePrintf

2010-03-19  Beat Forster  <bfo@synthesis.ch>

	* src/DB_interfaces/api_db/dbapi.cpp:
	* src/DB_interfaces/api_db/dbapi.h:
	* src/sysync_SDK/Sources/sync_dbapidef.h:

	DBAPI SDK: AsKey interface for Load/SaveAdminData (ADMIN_AS_KEY)

2010-03-22  Beat Forster  <bfo@synthesis.ch>

	* src/sysync/syncappbase.cpp:

	Android: Display config errors

2010-04-30  Lukas Zeller  <luz@synthesis.ch>


	Merge remote branch 'refs/remotes/moblin/mb7838' into luz

2010-04-30  Lukas Zeller  <luz@synthesis.ch>

	* src/Transport_interfaces/engine/enginesessiondispatch.cpp:
	* src/Transport_interfaces/engine/enginesessiondispatch.h:
	* src/global_options.h:
	* src/sysync/binfileimplclient.cpp:
	* src/sysync/binfileimplds.cpp:
	* src/sysync/localengineds.cpp:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncagent.h:
	* src/sysync/syncappbase.cpp:
	* src/sysync/syncappbase.h:
	* src/sysync/syncclientbase.cpp:
	* src/sysync/syncclientbase.h:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:

	engine 3.4.0.7: Progress events now session local and available
	for server sessions

2010-04-20  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/engineinterface.cpp:
	* src/sysync/syncappbase.cpp:
	* src/sysync/syncappbase.h:

	engine: added support for free demo period after first use
	without needing license

2010-03-19  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/synccommand.cpp:

	Cosmetic comment fix

2010-04-13  Chen Congwu  <congwu.chen@intel.com>

	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:

	ODBCApiAgent builtin function table

2010-04-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/configelement.cpp:

	TConfigElement::endElement(): fixed invalid memory read

2010-03-24  Chen Congwu  <congwu.chen@intel.com>

	* src/syncml_tk/src/sml/xlt/all/xltdevinf.c:

	smltk+DevInf decoding: avoid a possible infinite loop

2010-03-24  Chen Congwu  <congwu.chen@intel.com>

	* src/syncml_tk/src/sml/xlt/all/xltdevinf.c:

	smltk: DevInf decoding

2010-03-22  Patrick Ohly  <patrick.ohly@intel.com>

	* .gitignore:

	.gitignore: add SDK_EXCLUDE_FILES

2010-03-19  Chen Congwu  <congwu.chen@intel.com>

	* src/gen-makefile-am.sh:

	Build: pull blob.h/blob.cpp in libsynthesissdk dynamic build

2010-03-18  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syserial.h:

	syserial.h: New SYSER_PRODFLAG_CLIENT_APP flag

2010-03-18  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:
	* src/sysync/dataobjtype.cpp:
	* src/sysync/mimedirprofile.cpp:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncitemtype.cpp:
	* src/sysync/syncsession.cpp:
	* src/sysync_SDK/Sources/san.cpp:
	* src/sysync_SDK/Sources/sysync_b64.cpp:
	* src/sysync_SDK/Sources/sysync_b64.h:
	* src/sysync_SDK/Sources/sysync_utils.cpp:

	sysync_b64: added b64::free() that can be called to dispose
	blocks allocated by b64::decode/encode

2010-03-16  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/mimedirprofile.cpp:

	MIME-DIR "group" feature: fixed extra increment of array index in
	some cases

2010-03-15  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:

	engine: compilable again without engineinterface and AsKey

2010-03-09  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/sysync/syncsession.cpp:

	pluginapids: ReadNextItem can now return error without causing
	exceptions.

2010-03-18  Lukas Zeller  <luz@synthesis.ch>


	Merge remote branch 'moblin/master' into luz

2010-03-18  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:

	engine 3.4.0.5: new version for SAN 1.1 related changes in file
	location etc.

2010-03-18  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/sysync_globs.h:

	SAN 1.1: fix needed to compile Synthesis internal projects again
	with changes related to SAN 1.1

2010-03-18  Lukas Zeller  <luz@synthesis.ch>


	Merge remote branch 'moblin/san11' into luz

2010-03-18  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/cp936_tables_inc.cpp:
	* src/sysync/gb2312_tables_inc.cpp:
	* src/sysync_SDK/Sources/cp936_tables_inc.cpp:
	* src/sysync_SDK/Sources/gb2312_tables_inc.cpp:

	SAN 1.1 preparation: when moving sysync_utils, these (included)
	files need to be moved as well to support the Chinese character
	set (CHINESE_SUPPORT #defineD)

2010-03-17  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/localengineds.cpp:

	engine: fix for very late suspend

2010-03-17  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/customimplds.cpp:

	engine: getItemByID: made sure newly inserted items can be
	retrieved

2010-03-16  Lukas Zeller  <luz@synthesis.ch>


	Merge remote branch 'refs/remotes/moblin/subdatastores-devinf'
	into luz

2010-03-15  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/synccommand.cpp:

	resume + pending item fix in SyncML server

2010-03-11  Chen Congwu  <congwu.chen@intel.com>

	* src/sysync/syncsession.cpp:

	Valgrind warning fixed: initialize the conditonal variables

2010-03-08  Chen Congwu  <congwu.chen@intel.com>

	* src/gen-makefile-am.sh:
	* src/synthesis-linker.map:
	* src/sysync/sysync.h:
	* src/sysync_SDK/Sources/lineartime.cpp:
	* src/sysync_SDK/Sources/stringutil.cpp:
	* src/sysync_SDK/Sources/stringutil.h:
	* src/sysync_SDK/Sources/syncexception.cpp:
	* src/sysync_SDK/Sources/sysync_utils.cpp:
	* src/sysync_SDK/Sources/sysync_utils.h:

	Build script and code changes for the new moved utility code.

2010-03-08  Chen Congwu  <congwu.chen@intel.com>

	* src/sysync/lineartime.cpp:
	* src/sysync/lineartime.h:
	* src/sysync/syncexception.cpp:
	* src/sysync/syncexception.h:
	* src/sysync/sysync_utils.cpp:
	* src/sysync/sysync_utils.h:
	* src/sysync_SDK/Sources/lineartime.cpp:
	* src/sysync_SDK/Sources/lineartime.h:
	* src/sysync_SDK/Sources/syncexception.cpp:
	* src/sysync_SDK/Sources/syncexception.h:
	* src/sysync_SDK/Sources/sysync_utils.cpp:
	* src/sysync_SDK/Sources/sysync_utils.h:

	SAN 1.1 generation support: Moved utility code from engine to sdk

2010-03-09  Chen Congwu  <congwu.chen@intel.com>

	* src/sysync_SDK/Sources/san.cpp:

	SAN parsing version check fix: should be && instead of ||

2010-03-08  Chen Congwu  <congwu.chen@intel.com>

	* src/sysync_SDK/Sources/SDK_util.c:
	* src/sysync_SDK/Sources/san.cpp:

	San1.1 : compiler warning fixed

2010-03-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync_SDK/Sources/blobs.h:

	TBlob: export Init() properties read-only

2010-03-02  Chen Congwu  <congwu.chen@intel.com>

	* src/sysync_SDK/Sources/san.cpp:
	* src/sysync_SDK/Sources/san.h:

	SAN 1.0/1.1 generation: check for invalid SAN package

2010-02-26  Chen Congwu  <congwu.chen@intel.com>

	* src/synthesis-linker.map:
	* src/sysync_SDK/Sources/san.cpp:
	* src/sysync_SDK/Sources/san.h:

	SAN 1.0/1.1 generation support

2010-02-23  Chen Congwu  <congwu.chen@intel.com>

	* configure.in:
	* src/Makefile.am.in:
	* src/Targets/ReleasedProducts/SDK/define.h:
	* src/Targets/ReleasedProducts/SDK/target_options.h:
	* src/synthesis-linker.map:
	* src/sysync_SDK/Sources/stringutil.cpp:

	Accept SAN 1.0 pacakge (only wbxml is supported)

2010-03-01  Chen Congwu  <congwu.chen@intel.com>

	* src/sysync/syncagent.cpp:

	Server: made silently swallow garbage after end of incoming
	SyncML message

2010-03-04  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/customimplds.cpp:
	* src/sysync/stdlogicds.cpp:

	server engine: added missing check for re-sent <Add> during
	resume.

2010-03-04  Lukas Zeller  <luz@synthesis.ch>

	* src/Transport_interfaces/engine/enginesessiondispatch.cpp:
	* src/Transport_interfaces/engine/enginesessiondispatch.h:
	* src/sysync/syncagent.cpp:

	server engine: added option to implement client resent message
	handling.

2010-03-04  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/superdatastore.cpp:

	Fixed server case of superdatastore which was broken by
	6626a57e9e (Engine 3.4.0.5: implemented client-side
	superdatastores...)

2010-02-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/debuglogger.cpp:

	debuglogger: avoid segfault when log file cannot be reopened

2010-02-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Makefile.am.in:

	.so version bumped to 0.3.1 (minor revision increased)

2010-02-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:

	DevInf + superdatastore: avoid redundant <DataStore>

2010-02-18  Lukas Zeller  <luz@synthesis.ch>


	Merge remote branch 'moblin/master' into luz

2010-02-18  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:
	* src/sysync/binfileimplclient.cpp:
	* src/sysync/customimplds.h:
	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/stdlogicds.h:
	* src/sysync/superdatastore.cpp:
	* src/sysync/superdatastore.h:
	* src/sysync/syncagent.cpp:

	Engine 3.4.0.5: implemented client-side superdatastores according
	to suggestion/draft implementation of Patrick

2010-02-18  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncsession.cpp:

	engine: now shows engine-determined OS/version as well as
	configured hwv/fwv in log

2010-02-16  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncappbase.cpp:

	engine: added more configurable devInf data via config variables

2010-02-13  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncagent.cpp:
	* src/sysync/syncappbase.cpp:
	* src/sysync/syncappbase.h:
	* src/sysync/syncsession.cpp:

	engine: added configurable device ID (via "customdeviceid" config
	variable)

2010-02-11  Chen Congwu  <congwu.chen@intel.com>

	* src/syncml_tk/src/sml/lib/all/libstr.c:
	* src/syncml_tk/src/sml/lib/inc/libstr.h:
	* src/syncml_tk/src/sml/xlt/all/xltdecxml.c:
	* src/syncml_tk/src/sml/xlt/all/xlttags.c:

	xmltk fixes for Nokia ovi service

2010-02-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync_SDK/Sources/enginemodulebase.cpp:

	TEngineModuleBase::Connect() - fixed compiler warning

2010-02-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/synccommand.cpp:

	do not treat 418 = "item exists" as an error

2010-02-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncagent.cpp:
	* src/sysync_SDK/Sources/syerror.h:

	LOCERR_DATASTORE_ABORT: abort store, not session

2010-02-05  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:
	* src/sysync/localengineds.cpp:
	* src/sysync/mimedirprofile.cpp:
	* src/sysync/mimedirprofile.h:
	* src/sysync/scriptcontext.cpp:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:

	Engine 3.4.0.4: enhanced remote rules with subrules and multiple
	active rules per session

2010-02-05  Lukas Zeller  <luz@synthesis.ch>


	Merge remote branch 'moblin/master' into luz

2010-02-03  Lukas Zeller  <luz@synthesis.ch>

	* src/Targets/clientEngine_dbg/target_options.h:

	target_options for basic DBG engine: cosmetic cleanup, not
	relevant for normal libsynthesis builds

2010-02-03  Beat Forster  <bfo@synthesis.ch>

	* src/platform_adapters/linux/configfiles.cpp:

	Android: configfiles: avoid double slash in path name

2010-02-03  Beat Forster  <bfo@synthesis.ch>

	* src/sysync_SDK/Sources/SDK_util.c:

	SDK_util.c : cosmetic - renamed define

2010-02-03  Beat Forster  <bfo@synthesis.ch>

	* src/sysync_SDK/Sources/sync_dbapidef.h:

	sync_dbapidef.h: - Comment 1.7.0 adapted correctly -
	DBG_GET_SET_VALUE added

2010-02-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync_SDK/configs/README:
	* src/sysync_SDK/configs/datatypes/00vcard-fieldlist.xml:
	* src/sysync_SDK/configs/datatypes/01vcard-profile.xml:
	* src/sysync_SDK/configs/datatypes/02vcard-types.xml:
	* src/sysync_SDK/configs/datatypes/10calendar-fieldlist.xml:
	* src/sysync_SDK/configs/datatypes/11calendar-profile.xml:
	* src/sysync_SDK/configs/datatypes/12calendar-types.xml:
	* src/sysync_SDK/configs/datatypes/20note-fieldlist.xml:
	* src/sysync_SDK/configs/datatypes/21note-profile.xml:
	* src/sysync_SDK/configs/datatypes/22notes-types.xml:
	* src/sysync_SDK/configs/datatypes/30bookmark-fieldlist.xml:
	* src/sysync_SDK/configs/datatypes/31bookmark-profile.xml:
	* src/sysync_SDK/configs/datatypes/32bookmark-type.xml:
	* src/sysync_SDK/configs/datatypes/server/40email-fieldlist.xml:
	* src/sysync_SDK/configs/datatypes/server/41email-profile.xml:
	* src/sysync_SDK/configs/datatypes/server/42email-type-zipped.xml:
	* src/sysync_SDK/configs/datatypes/server/42email-type.xml:
	* src/sysync_SDK/configs/datatypes/server/43email-sonyericsson.xml:
	* src/sysync_SDK/configs/datatypes/server/44email-nokia9500.xml:
	* src/sysync_SDK/configs/debug/00default.xml:
	* src/sysync_SDK/configs/remoterules/server/00_t39m.xml:
	* src/sysync_SDK/configs/remoterules/server/01_t68.xml:
	* src/sysync_SDK/configs/remoterules/server/02_V3.xml:
	* src/sysync_SDK/configs/remoterules/server/03_V3i.xml:
	* src/sysync_SDK/configs/remoterules/server/04_6230.xml:
	* src/sysync_SDK/configs/remoterules/server/05_9210.xml:
	* src/sysync_SDK/configs/remoterules/server/06_9210i.xml:
	* src/sysync_SDK/configs/remoterules/server/07_3220.xml:
	* src/sysync_SDK/configs/remoterules/server/08_3230.xml:
	* src/sysync_SDK/configs/remoterules/server/09_3600.xml:
	* src/sysync_SDK/configs/remoterules/server/10_3620.xml:
	* src/sysync_SDK/configs/remoterules/server/11_3650.xml:
	* src/sysync_SDK/configs/remoterules/server/12_3660.xml:
	* src/sysync_SDK/configs/remoterules/server/13_6260.xml:
	* src/sysync_SDK/configs/remoterules/server/14_6600.xml:
	* src/sysync_SDK/configs/remoterules/server/15_6620.xml:
	* src/sysync_SDK/configs/remoterules/server/16_6630.xml:
	* src/sysync_SDK/configs/remoterules/server/17_6670.xml:
	* src/sysync_SDK/configs/remoterules/server/18_7250.xml:
	* src/sysync_SDK/configs/remoterules/server/19_7250i.xml:
	* src/sysync_SDK/configs/remoterules/server/20_7260.xml:
	* src/sysync_SDK/configs/remoterules/server/21_7610.xml:
	* src/sysync_SDK/configs/remoterules/server/22_7650.xml:
	* src/sysync_SDK/configs/remoterules/server/23_N-Gage.xml:
	* src/sysync_SDK/configs/remoterules/server/24_N-Gage_QD.xml:
	* src/sysync_SDK/configs/remoterules/server/25_9300.xml:
	* src/sysync_SDK/configs/remoterules/server/26_9500.xml:
	* src/sysync_SDK/configs/remoterules/server/27_E90.xml:
	* src/sysync_SDK/configs/remoterules/server/28_X.xml:
	* src/sysync_SDK/configs/remoterules/server/29_SX1.xml:
	* src/sysync_SDK/configs/remoterules/server/30_M55.xml:
	* src/sysync_SDK/configs/remoterules/server/31_SL55.xml:
	* src/sysync_SDK/configs/remoterules/server/32_S55.xml:
	* src/sysync_SDK/configs/remoterules/server/33_S65.xml:
	* src/sysync_SDK/configs/remoterules/server/34_SL65.xml:
	* src/sysync_SDK/configs/remoterules/server/35_K700.xml:
	* src/sysync_SDK/configs/remoterules/server/36_T610_T630.xml:
	* src/sysync_SDK/configs/remoterules/server/37_M600i.xml:
	* src/sysync_SDK/configs/remoterules/server/38_P800.xml:
	* src/sysync_SDK/configs/remoterules/server/39_P900.xml:
	* src/sysync_SDK/configs/remoterules/server/40_P910.xml:
	* src/sysync_SDK/configs/remoterules/server/41_P910i.xml:
	* src/sysync_SDK/configs/remoterules/server/42_P990i.xml:
	* src/sysync_SDK/configs/remoterules/server/43_t68i.xml:
	* src/sysync_SDK/configs/remoterules/server/44_Funambol_Outlook.xml:
	* src/sysync_SDK/configs/remoterules/server/45_SyncJe_Outlook.xml:
	* src/sysync_SDK/configs/scripting/10newuid.xml:
	* src/sysync_SDK/configs/scripting/11calendar.xml:
	* src/sysync_SDK/configs/scripting/client/00timeout.xml:
	* src/sysync_SDK/configs/scripting/server/12email.xml:
	* src/sysync_SDK/configs/syncclient_sample_config.xml:
	* src/sysync_SDK/configs/syncserv_sample_config.xml:
	* src/sysync_SDK/configs/update-samples.pl:

	XML config samples: split up into individual fragments

2010-02-02  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/stdlogicds.cpp:

	Added check such that if <datastoreinitscript> calls
	ABORTDATASTORE(), the abort gets propagated

2010-02-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync_SDK/configs/syncserv_sample_config.xml:

	syncserv_sample_config.xml: removed <CA> white space

2010-01-28  BeatForster  <elisabethegli@bfo-MacBookPro.local>

	* src/sysync/tz_table.h:

	tz_table.h: Argentina changed to America/Buenos_Aires

2010-01-25  BeatForster  <elisabethegli@bfo-MacBookPro.local>

	* src/sysync/tz_table.h:

	ART/ARST timezone definitions for Buenos Aires, Argentina added

2009-12-23  BeatForster  <elisabethegli@bfo-MacBookPro.local>

	* src/DB_interfaces/api_db/dbapi.cpp:
	* src/DB_interfaces/api_db/dbapi.h:
	* src/sysync_SDK/Sources/SDK_support.cpp:
	* src/sysync_SDK/Sources/SDK_support.h:
	* src/sysync_SDK/Sources/sync_dbapidef.h:

	SDK: - create list of built-in plugins (plugin_info/logger) -
	plugins can be accessed via #1..#X - break recursion at the
	logger - dbapi: <fPlugin> added - Definition for CA_Plugin

2009-12-23  BeatForster  <elisabethegli@bfo-MacBookPro.local>

	* src/sysync_SDK/Sources/SDK_util.c:
	* src/sysync_SDK/Sources/sync_dbapidef.h:

	SDK: - Version changed to V1.7.0 - at least callbackVersion=2
	must be supported

2009-12-20  BeatForster  <elisabethegli@bfo-MacBookPro.local>

	* src/client_engine_linux.mk:

	Linux makefiles, several tabs/spaces replaced, did not work any
	more like this

2009-12-17  Beat Forster  <elisabethegli@beat-forsters-macbook-pro.local>

	* src/DB_interfaces/api_db/dbapi.cpp:
	* src/DB_interfaces/api_db/dbapi_include.h:
	* src/DB_interfaces/api_db/sync_dbapiconnect.cpp:
	* src/sysync_SDK/Sources/sync_dbapidef.h:

	DBAPi: Old variant of Module_PluginParams no longer supported

2009-12-03  Beat Forster  <elisabethegli@beat-forsters-macbook-pro.local>

	* src/DB_interfaces/api_db/dbapi.cpp:
	* src/DB_interfaces/api_db/dbapi.h:
	* src/DB_interfaces/api_db/dbapi_include.h:
	* src/DB_interfaces/api_db/sync_dbapiconnect.cpp:
	* src/sysync_SDK/Sources/SDK_support.cpp:
	* src/sysync_SDK/Sources/sync_dbapidef.h:

	JNI/Java: Several bug fixes and enhancements - Preparing
	com/sysync package for V1.6.2 - Old BLOB signature supported
	until V1.6.1 - ModSubName() method added to TDB_Api_Config - both
	syntax versions for package path supported - multiple connection
	problems fixed - correct error for non-existing packages -
	sysytest output layout adapted for packages

2009-12-02  Beat Forster  <elisabethegli@beat-forsters-macbook-pro.local>

	* src/sysync/engineinterface.cpp:
	* src/sysync_SDK/Sources/enginemodulebase.cpp:

	SDK: enginemodulebase applies older callbackVersion correctly now

2010-01-27  Lukas Zeller  <luz@synthesis.ch>

	* doc/SySync_script_call_flow.numbers/Contents/PkgInfo:
	* doc/SySync_script_call_flow.numbers/QuickLook/Thumbnail.jpg:
	* doc/SySync_script_call_flow.numbers/SySync diagram_plugin_small.jpg:
	* doc/SySync_script_call_flow.numbers/document-thumbnail.tiff:
	* doc/SySync_script_call_flow.numbers/index.xml.gz:
	* doc/SySync_script_call_flow.pdf:

	Doc: useful table showing the call flow of scripts within a
	server session

2010-01-27  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:

	New Engine Version 3.4.0.3 started to show fact that moblin
	patches are now included

2010-01-27  Lukas Zeller  <luz@synthesis.ch>


	Merge remote branch 'moblin/master' into luz_tmp

2010-01-27  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:
	* src/sysync/localengineds.cpp:

	Engine 3.4.0.2: fixed long standing bug parsing CGI filters with
	paranthesized subexpressions

2010-01-27  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncappbase.cpp:
	* src/sysync/syserial.h:

	NEVER_EXPIRES_IS_OK define is now required in target_options.h to
	build targets without any licensing or expiry date

2010-01-27  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncagent.cpp:
	* src/sysync/syncsession.cpp:

	bugfix for unilib regression: there must be no requestmaxtime
	limit for clients!

2010-01-27  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/rrules.cpp:

	rrules: recurrence expansion bug with weekly recurrences fixed

2010-01-27  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/debuglogger.cpp:

	debuglogger: avoid the need to create an empty va_list (which is
	not cleanly possible)

2010-01-18  Ove Kaaven  <ovek@debian.org>

	* src/gen-makefile-am.sh:

	autotools: unnecessarily depends on too new findutils (MB #9112)

2010-01-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Transport_interfaces/engine/enginesessiondispatch.cpp:
	* src/sysync/dataconversion.cpp:
	* src/sysync/syncagent.cpp:

	Android: fixed/added exception handling macros

2010-01-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/sysync.h:

	Android: use android/log.h

2010-01-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/multifielditem.cpp:

	TMultiFieldItem::standardMergeWith(): Android compiler warning

2010-01-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncapps/serverEngine_custom/serverengine_custom_Base.cpp:

	gcc warning: missing line break at end of file

2010-01-04  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:
	* src/Targets/ReleasedProducts/combiEngine_opensource_linux/target_options.h:

	autotools: added more configure options

2010-01-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/linux/platform_DLL.cpp:

	Linux: improved support for static linking via //static/

2010-01-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync_SDK/Sources/SDK_util.c:

	SDK_util.c: fixed crash in vasprintf()

2009-12-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:

	ABORTDATASTORE(): allow calling it inside <alertscript>

2009-12-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync_SDK/Sources/syerror.h:

	syerror.h: added new codes and explanations

2009-12-10  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:
	* src/Targets/ReleasedProducts/combiEngine_opensource_linux/target_options.h:

	autotools: regular expression support in scripts is configurable
	(MB #7931)

2009-12-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapids.cpp:

	VE_InsertMapItem: signed/unsigned comparison warning from g++ 4.4

2009-12-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/debuglogger.cpp:

	TDebugLoggerBase::DebugOpenBlock(): unused va_list

2009-12-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/sysync/customimplds.cpp:
	* src/sysync/localengineds.cpp:
	* src/sysync/stdlogicds.cpp:

	fixed several %ld <-> size_t mismatches

2009-12-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplds.cpp:

	TBinfileImplDS::changeLogPreflight(): dataCRC used uninitialized?

2009-12-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/configfiles.h:
	* src/sysync/itemfield.cpp:
	* src/sysync/syncclientbase.cpp:

	fixed more %lld sInt64 mismatches

2009-11-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/debuglogger.h:
	* src/sysync/syncappbase.cpp:
	* src/sysync/syncsession.cpp:

	log file base name: configurable via "filename" config option

2009-11-26  Zhu, Yongsheng  <yongsheng.zhu@intel.com>

	* src/syncml_tk/src/sml/xlt/all/xltenc.c:

	devinfo: increase memory size for encoding devinfo in WBXML

2009-11-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/linux/platform_timezones.cpp:

	autotools + old libical: crash when compiled without
	--enable-evolution-compatibility

2009-11-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncsession.cpp:

	Revert "TSyncSession::checkCredentials(): <requiredauth>none =>
	accept invalid credentials"

2009-11-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/engineinterface.cpp:
	* src/sysync/engineinterface.h:

	TEngineInterface::debugPuts(): not active in server

2009-11-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncsession.cpp:

	TSyncSession::checkCredentials(): <requiredauth>none => accept
	invalid credentials

2009-10-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/engineinterface.cpp:
	* src/sysync/engineinterface.h:

	DebugPuts(): added to the unilib engine

2009-10-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncappbase.cpp:

	TSyncAppBase::encodingFromData(): detect Oracle Beehive XML
	messages

2009-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Transport_interfaces/engine/enginesessiondispatch.cpp:

	TServerEngineInterface::SessionStep(): removed obsolete label

2009-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Transport_interfaces/engine/enginesessiondispatch.cpp:

	TServerEngineInterface::OpenSessionInternal(): printf format for
	uInt64

2009-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Transport_interfaces/engine/enginesessiondispatch.cpp:

	TEngineSessionDispatch::generateRespURI(): result of string::find
	downcasted to sInt16

2009-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Targets/ReleasedProducts/combiEngine_opensource_linux/combiengine_opensource_linux_prefix.h:

	Linux platform: need _GNU_SOURCE for vasprintf

2009-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapids.cpp:

	another unhandled enum

2009-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/DB_interfaces/api_db/pluginapids.cpp:

	another #warning

2009-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/localengineds.cpp:

	TLocalEngineDS::newDevInfDatastore(): fixed 64 biit issue

2009-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/superdatastore.cpp:

	superdatastore: add unhandled sop enum values

2009-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncsession.cpp:

	TSyncSession::initSync(): avoid #warning in gcc

2009-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/stdlogicds.cpp:

	TStdLogicDS::logicGenerateSyncCommandsAsServer: invalid logical
	expression?!

2009-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/stdlogicds.cpp:

	TStdLogicDS::startDataAccessForServer(): fioxed signed/unsigned
	comparison

2009-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/customimplds.cpp:

	TCustomImplDS::modifyMap(): added redundant parenthesis for gcc
	-Wall

2009-10-21  Patrick Ohly  <patrick.ohly@intel.com>

	* .gitignore:
	* src/gen-makefile-am.sh:

	gen-makefile-am.sh + autotools: avoid GNU find --printf and shell
	wildcards

2009-11-30  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:

	engine version set to 3.4.0.0 for server releases - because we
	said even=release, odd=beta

2009-11-30  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:
	* src/sysync/localengineds.cpp:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/stdlogicds.h:
	* src/sysync/superdatastore.cpp:

	engine: fixed bug that could crash server sessions when using a
	superdatastore.

2009-11-30  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:
	* src/DB_interfaces/odbc_db/odbcapids.cpp:
	* src/DB_interfaces/odbc_db/odbcapids.h:
	* src/sysync/configelement.cpp:
	* src/sysync/customimplagent.cpp:
	* src/sysync/customimplds.cpp:
	* src/sysync/localengineds.cpp:
	* src/sysync/mimedirprofile.cpp:
	* src/sysync/multifielditem.cpp:
	* src/sysync/rrules.cpp:
	* src/sysync/scriptcontext.cpp:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/superdatastore.cpp:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncappbase.cpp:
	* src/sysync/synccommand.cpp:
	* src/sysync/syncsession.cpp:
	* src/sysync/sysync_utils.cpp:
	* src/sysync/sysync_utils.h:
	* src/sysync/textprofile.cpp:
	* src/sysync/timezones.cpp:
	* src/sysync_SDK/Sources/dbitem.cpp:

	english language cosmetics: there were still a lot of "eventual"
	uses that should have been "possible"

2009-11-18  Beat Forster  <elisabethegli@beat-forsters-macbook-pro.local>

	* src/DB_interfaces/api_db/dbapi.cpp:

	JNI: Switch off Java connection groups consistently

2009-12-02  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync_SDK/configs/syncclient_sample_config.xml:

	client config: some cleanup, added samples (commented out) for
	filtering

2009-12-02  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync_SDK/configs/syncserv_sample_config.xml:

	server config: updated for 3.4.0.0 engine, fixed some bugs

2009-12-02  Lukas Zeller  <luz@synthesis.ch>

	* doc/SySync_config_reference.doc:
	* doc/SySync_config_reference.pdf:

	doc: updated config reference for 3.4.0.0 engine

2009-11-24  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:
	* src/sysync/engineinterface.cpp:

	engine 3.3.0.4: fixed some more 64bit gotchas

2009-11-24  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:

	engine: added <silentdiscard> option to silently discard
	non-acceptable items

2009-11-18  Lukas Zeller  <luz@synthesis.ch>

	* src/platform_adapters/configfiles.h:
	* src/sysync/binfileimplds.cpp:
	* src/sysync/iso8601.cpp:
	* src/sysync/itemfield.cpp:
	* src/sysync/mimedirprofile.cpp:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/syncclientbase.cpp:
	* src/sysync/syncsession.cpp:
	* src/sysync_SDK/Sources/generic_types.h:

	Touch up to make compile again in client-only builds (and also
	WinMobile)

2009-11-17  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/customimplds.h:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/stdlogicds.h:

	client side filtering: fixed to work with dynamic filters as well

2009-11-16  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:
	* src/sysync/stdlogicds.cpp:

	Engine 3.3.0.3: client side filtering: enhanced sync set
	filtering

2009-11-16  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:

	binfileds: eliminated fAllRecords flag which was only a duplicate
	of fSlowSync

2009-11-16  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/stdlogicds.h:

	engine: made getNumberOfChanges() work correctly in unilib server
	case

2009-11-13  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:

	engine: added <alias> to define alternate names for datastores

2009-11-12  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:
	* src/sysync/mimedirprofile.cpp:
	* src/sysync/multifielditem.cpp:
	* src/sysync/multifielditem.h:

	MIME-DIR "group" feature bug fixes - group tag was not
	stored/generated correctly when group field(s) is not an array

2009-11-11  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncclientbase.cpp:

	client: syncing another profile except first did not work because
	of wrong mask

2009-11-10  Lukas Zeller  <luz@synthesis.ch>

	* src/platform_adapters/platform_thread.h:
	* src/platform_adapters/unix_common/platform_thread.cpp:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/stdlogicds.h:

	64bit bugfixes: some more params need to be uIntArch to work
	properly in 64bit builds

2009-11-10  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/DB_interfaces/api_db/pluginapids.h:
	* src/DB_interfaces/odbc_db/odbcapids.cpp:
	* src/DB_interfaces/odbc_db/odbcapids.h:
	* src/sysync/itemfield.cpp:

	pluginapi: blob proxy: redone completely messed up implementation

2009-11-09  Beat Forster  <elisabethegli@beat-forsters-macbook-pro.local>

	* src/sysync_SDK/Sources/sync_dbapidef.h:

	JNI: Requires at least engine version V1.6.1 for correct SetValue
	support

2009-11-06  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/engineinterface.cpp:

	SetValue() now works without C-String terminator when setting
	integers or dates using string input

2009-11-06  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/rrules.cpp:

	RRULE expansion: fixed bug that caused missing occurrences when
	expansion started within week

2009-11-04  Beat Forster  <elisabethegli@beat-forsters-macbook-pro.local>

	* src/sysync/scriptcontext.cpp:
	* src/sysync_SDK/Sources/SDK_support.cpp:
	* src/sysync_SDK/Sources/SDK_support.h:
	* src/sysync_SDK/Sources/sync_dbapi.h:

	Updates for Android

2009-11-24  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapiagent.cpp:

	anonymous login: improved passing anonymous login attempts to DB
	Api

2009-11-09  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapiagent.cpp:

	anonymous login: improved passing anonymous login attempts to DB
	Api

2009-11-04  Beat Forster  <bfo@synthesis.ch>

	* src/sysync_SDK/Sources/UI_util.cpp:
	* src/sysync_SDK/Sources/UI_util.h:

	UI_util: Use DisconnectEngine_Func; unused functions moved to
	UI_app_demo

2009-11-04  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncsession.cpp:

	Some compilers don't not like #ifdefs within function argument
	list

2009-11-04  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/engineinterface.cpp:

	SetValue() did not work without C-String terminator in some cases

2009-11-03  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:
	* src/sysync/binfileimplds.cpp:

	Engine 3.3.0.1 - new version signifying reasonably field-tested
	version of unilib

2009-11-03  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapiagent.h:
	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:
	* src/DB_interfaces/odbc_db/odbcapiagent.h:
	* src/DB_interfaces/odbc_db/odbcapids.cpp:
	* src/syncml_tk/src/sml/mgr/all/mgrcmdbuilder.c:
	* src/syncml_tk/src/sml/xlt/all/xltenc.c:
	* src/sysync/binfilebase.h:
	* src/sysync/binfileimplclient.cpp:
	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:
	* src/sysync/customimplagent.cpp:
	* src/sysync/customimplagent.h:
	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:
	* src/sysync/debuglogger.cpp:
	* src/sysync/debuglogger.h:
	* src/sysync/itemfield.cpp:
	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/mimedirprofile.cpp:
	* src/sysync/remotedatastore.cpp:
	* src/sysync/rrules.cpp:
	* src/sysync/scriptcontext.cpp:
	* src/sysync/scriptcontext.h:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/stdlogicds.h:
	* src/sysync/stringutils.cpp:
	* src/sysync/superdatastore.cpp:
	* src/sysync/superdatastore.h:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncappbase.cpp:
	* src/sysync/syncclientbase.cpp:
	* src/sysync/synccommand.cpp:
	* src/sysync/synccommand.h:
	* src/sysync/syncitemtype.cpp:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:
	* src/sysync/sysync_globs.h:
	* src/sysync/sysync_utils.cpp:
	* src/sysync/timezones.cpp:
	* src/sysync_SDK/DB_Interfaces/text_db/sync_dbapi_text.cpp:
	* src/sysync_SDK/Sources/syerror.h:

	comments: corrected wrong usage of english word "eventually"
	throughout all sources.

2009-11-03  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/engineinterface.cpp:
	* src/sysync/engineinterface.h:

	GetValue improved - now LOCERR_TRUNCATED also works for
	VALTYPE_BUF, better description in comments

2009-11-03  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:
	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:
	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/synccommand.cpp:
	* src/sysync/synccommand.h:

	DB specific error code: avoid showing confusing "Err = 0" and
	"(DBError = 0)" texts in log and SyncML

2009-11-03  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/odbc_db/odbcapids.cpp:

	ODBC: bug fix: in case of datastore-level connection error, wrong
	(session's) connection handle was queried for status

2009-11-03  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/mimedirprofile.cpp:
	* src/sysync/mimedirprofile.h:

	MIME-DIR "group" feature supported now: <property> can have
	"groupfield" attribute

2009-10-27  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/odbc_db/odbcapids.cpp:
	* src/sysync/localengineds.cpp:

	Filtering: fixed stone-age (2003) bug that caused fLocalDBFilter
	not to work in all cases

2009-10-27  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/binfileimplds.cpp:

	CRC change detection: slightly improved changelog V2/V3 -> >=V5
	migration code

2009-10-27  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/multifielditem.h:
	* src/sysync/multifielditemtype.h:

	Unified "undefined field" ID definition - FID_NOT_SUPPORTED and
	VARIDX_UNDEFINED have the same meaning

2009-10-27  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:

	Comment only: DB Api - clarified use of
	ContextSupport("ReadNextItem:allfields")

2009-10-27  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:
	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:

	CRC change detection: added <crcchangedetection> to enable
	CRC-based change detection

2009-10-27  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/mimedirprofile.cpp:
	* src/sysync/mimedirprofile.h:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:

	MIME-DIR, remote rules: default charset interpretation now UTF-8
	(no longer ANSI), added <inputcharset> to override

2009-10-21  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/customimplds.cpp:

	DB mapping: added <mapredefine> to allow specifying details for
	<automap>ped fields

2009-10-26  Beat Forster  <bfo@synthesis.ch>

	* src/sysync_SDK/Sources/SDK_util.c:
	* src/sysync_SDK/Sources/generic_types.h:
	* src/sysync_SDK/Sources/sync_dbapidef.h:

	Plain C does not allow // as comment

2009-10-22  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/scriptcontext.cpp:

	scripts: variable definitions only shown with SYDEBUG>1

2009-10-13  Beat Forster  <elisabethegli@beat-forsters-macbook-pro.local>

	* src/DB_interfaces/api_db/DLL_interface.cpp:
	* src/DB_interfaces/api_db/sync_dbapiconnect.cpp:
	* src/platform_adapters/linux/configfiles.cpp:
	* src/sysync/sysync.h:
	* src/sysync/sysync_globs.h:
	* src/sysync_SDK/Sources/SDK_util.c:
	* src/sysync_SDK/Sources/UI_util.cpp:
	* src/sysync_SDK/Sources/sync_dbapi.h:
	* src/sysync_SDK/Sources/sync_dbapidef.h:
	* src/sysync_SDK/Sources/sync_include.h:

	Adaptations for Android

2009-10-21  Beat Forster  <elisabethegli@beat-forsters-macbook-pro.local>

	* src/sysync_SDK/Sources/dbitem.cpp:

	dbitem (SDK_textdb) missing fChanged= true added

2009-10-17  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncagent.cpp:
	* src/sysync/syncagent.h:
	* src/sysync/synccommand.cpp:
	* src/sysync/synccommand.h:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:

	Alert 222 loop detector improved: do not trigger as long as valid
	status is received

2009-10-16  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:

	ODBC STD servers and clients: did not work at all (connection
	string always empty)

2009-10-16  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/engineinterface.cpp:
	* src/sysync_SDK/Sources/sync_dbapidef.h:

	comment cosmetics

2009-10-15  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/mimedirprofile.cpp:

	vcard/vcal folding: Made sure folding does not occur within UTF-8
	sequences

2009-10-15  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/mimedirprofile.cpp:
	* src/sysync/sysync_utils.cpp:

	vcard/vcal B64 properties: base64 encoded properties must be
	terminated with a CRLF even if folding is disabled

2009-10-14  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/mimedirprofile.cpp:

	vcard/vcal B64 properties: added workaround to recognize
	improperly folded B64 properties

2009-10-13  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/sysync/localengineds.cpp:
	* src/sysync/multifielditem.cpp:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncsession.cpp:

	unilib: eliminated another bunch of printf argument warnings by
	casting all %ld arguments to (long)

2009-10-13  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/engineinterface.cpp:

	engineinterface: added missing return statement for
	returnLineartime()

2009-10-08  Beat Forster  <elisabethegli@beat-forsters-macbook-pro.local>

	* src/sysync/customimplds.cpp:

	stl_minimal has no != operator => use ==

2009-10-08  Beat Forster  <elisabethegli@beat-forsters-macbook-pro.local>

	* src/global_options.h:
	* src/platform_adapters/linux/configfiles.cpp:

	ANDROID strings added

2009-10-08  Beat Forster  <elisabethegli@beat-forsters-macbook-pro.local>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:
	* src/sysync/syncagent.cpp:
	* src/sysync_SDK/Sources/stringutil.cpp:

	unilib: several type adaptions for changes due to unilib

2009-10-13  Lukas Zeller  <luz@synthesis.ch>


	Merge remote branch 'moblin/unilib' into unilib

2009-10-13  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncclientbase.cpp:

	unilib: make sure no half-constructed session is left over at
	failed OpenSession()

2009-10-08  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/sysync/customimplagent.cpp:
	* src/sysync/customimplds.cpp:
	* src/sysync/syncsession.cpp:

	unilib cleanup: fixed some build problems introduced through
	unilib

2009-10-08  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:
	* src/sysync/customimplagent.h:

	unilib: fixed case for targets with no binfile compiled in at all

2009-10-07  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syserial.h:

	syserial product codes: added codes for Android client and server
	libs, changed Win32 server code (was overlapping iPhone client
	lib)

2009-10-07  Beat Forster  <elisabethegli@beat-forsters-macbook-pro.local>

	* src/sysync_SDK/Sources/SDK_util.c:
	* src/sysync_SDK/Sources/sync_dbapidef.h:

	SDK: version changed to V1.6.1

2009-10-13  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/engineinterface.cpp:
	* src/sysync/engineinterface.h:
	* src/sysync/syncagent.cpp:

	engine: added "lastused" and "timeout" session keys for server
	session timeout handling

2009-10-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gen-makefile-am.sh:

	autotools build: only build SAN code as part of the SDK

2009-10-08  Lukas Zeller  <luz@synthesis.ch>


	Merge remote branch 'moblin/unilib' into unilib

2009-10-08  Lukas Zeller  <luz@synthesis.ch>


	Merge branch 'luz' into unilib

2009-10-08  Lukas Zeller  <luz@synthesis.ch>


	Merge remote branch 'moblin/san' into luz

2009-10-07  Lukas Zeller  <luz@synthesis.ch>


	Merge branch 'luz' into unilib

2009-10-07  Beat Forster  <bfo@synthesis.ch>

	* src/platform_adapters/linux/configfiles.cpp:
	* src/platform_adapters/linux/platform_time.cpp:

	platform adapters Linux: Android adaptions

2009-10-07  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/localengineds.cpp:

	localengineds: avoid using != operator on strings because STLs
	exist that only support ==

2009-10-07  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:
	* configure.in:
	* src/Makefile.am.in:
	* src/gen-makefile-am.sh:
	* src/sysync_SDK/Sources/enginestubs.c:
	* synthesis-sdk.pc.in:
	* synthesis.pc.in:

	autotools + pkg-config: added synthesis-sdk.pc

2009-10-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Makefile.am.in:

	libsynthesis + autotools: must be linked against libz

2009-10-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncappbase.cpp:

	syncappbasse: turned extern "C" into static functions

2009-10-02  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:
	* src/Makefile.am.in:
	* src/gen-makefile-am.sh:
	* src/synthesis-linker.map:
	* src/sysync_SDK/Sources/UI_util.cpp:

	autotools build: switched to new combi engine

2009-10-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/dataconversion.cpp:

	DataConversion(): adapted dummy engine to server API

2009-09-24  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:
	* src/sysync/san.cpp:
	* src/sysync/san.h:
	* src/sysync/sysync_b64.cpp:
	* src/sysync/sysync_b64.h:
	* src/sysync/sysync_md5.cpp:
	* src/sysync/sysync_md5.h:
	* src/sysync_SDK/Sources/san.cpp:
	* src/sysync_SDK/Sources/san.h:
	* src/sysync_SDK/Sources/sysync_b64.cpp:
	* src/sysync_SDK/Sources/sysync_b64.h:
	* src/sysync_SDK/Sources/sysync_md5.cpp:
	* src/sysync_SDK/Sources/sysync_md5.h:

	SAN: moved to SDK, together with the corresponding utility
	classes

2009-10-03  Lukas Zeller  <luz@synthesis.ch>

	* src/Targets/ReleasedProducts/combiEngine_opensource_linux/combiengine_opensource_linux_prefix.h:

	unilib linux compile: corrected include (no separate combi-engine
	include file exists here)

2009-10-03  Lukas Zeller  <luz@synthesis.ch>

	* src/client_engine_linux.mk:
	* src/combi_engine_linux.mk:
	* src/server_engine_linux.mk:

	unilib: added plain makefile for combined client+server engine,
	adapted client-only and server-only to use syncagent.h/.cpp

2009-10-03  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncclient.cpp:
	* src/sysync/syncclient.h:
	* src/sysync/syncserver.cpp:
	* src/sysync/syncserver.h:

	unilib: removed now obsolete syncclient/syncserver files

2009-10-03  Lukas Zeller  <luz@synthesis.ch>


	Merge branch 'luz' into unilib

2009-10-03  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync_SDK/Sources/UI_util.cpp:

	engine entry points: adjusted as per discussion (Patrick/bfo)

2009-10-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync_SDK/Sources/UI_util.cpp:
	* src/sysync_SDK/Sources/UI_util.h:
	* src/sysync_SDK/Sources/enginemodulebridge.cpp:
	* src/sysync_SDK/Sources/enginemodulebridge.h:

	SDK engine connect: allow choosing between client and server
	engine

2009-10-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/linux/platform_DLL.cpp:

	Linux platform_DLL: open shared library with name as requested

2009-10-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/engineentry.h:
	* src/sysync_SDK/Sources/sync_dbapidef.h:

	use ENGINE_ENTRY_CXX to mark external C++ functions

2009-10-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/dataobjtype.cpp:

	added "namespace sysync"

2009-09-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Makefile.am.in:
	* src/gen-makefile-am.sh:

	autotools: added make rules for server engine
	(libsynthesisserver.so)

2009-10-03  Lukas Zeller  <luz@synthesis.ch>


	Merge remote branch 'origin/bfo' into luz

2009-09-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncsession.cpp:

	TSyncSession: unitialized fEncoding

2009-10-03  Lukas Zeller  <luz@synthesis.ch>


	Merge remote branch 'moblin/master' into luz

2009-10-03  Lukas Zeller  <luz@synthesis.ch>

	* src/Targets/ReleasedProducts/combiEngine_opensource_linux/combiengine_demo++.pch:
	* src/Targets/ReleasedProducts/combiEngine_opensource_linux/combiengine_demo.pch:
	* src/Targets/ReleasedProducts/combiEngine_opensource_linux/combiengine_opensource_linux_prefix.h:
	* src/Targets/ReleasedProducts/combiEngine_opensource_linux/define.h:
	* src/Targets/ReleasedProducts/combiEngine_opensource_linux/target_options.h:

	opensource linux combiengine: added new target files

2009-10-02  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapiagent.cpp:
	* src/DB_interfaces/api_db/pluginapiagent.h:
	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:
	* src/Transport_interfaces/engine/engineclientbase.cpp:
	* src/Transport_interfaces/engine/engineclientbase.h:
	* src/Transport_interfaces/engine/enginesessiondispatch.cpp:
	* src/Transport_interfaces/engine/enginesessiondispatch.h:
	* src/syncapps/serverEngine_custom/serverengine_custom_Base.cpp:
	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/stdlogicagent.h:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/superdatastore.cpp:
	* src/sysync/superdatastore.h:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncagent.h:
	* src/sysync/syncappbase.cpp:
	* src/sysync/syncappbase.h:
	* src/sysync/syncclientbase.cpp:
	* src/sysync/synccommand.cpp:
	* src/sysync/synccommand.h:
	* src/sysync/syncdatastore.cpp:
	* src/sysync/syncdatastore.h:
	* src/sysync/syncitem.cpp:
	* src/sysync/syncitem.h:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsessiondispatch.cpp:
	* src/sysync/sysync_globs.h:

	unilib: fixes needed to actually have both client&server enabled
	in the same build

2009-10-02  Lukas Zeller  <luz@synthesis.ch>

	* src/syncapps/clientEngine_custom/product_options.h:
	* src/syncapps/serverEngine_custom/combi_product_options.h:

	unilib: "combiEngine" product options added

2009-10-02  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:
	* src/DB_interfaces/odbc_db/odbcapids.cpp:
	* src/Transport_interfaces/engine/enginesessiondispatch.cpp:
	* src/platform_adapters/platform_thread.h:
	* src/platform_adapters/unix_common/platform_thread.cpp:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/stringutils.cpp:
	* src/sysync/syncappbase.cpp:
	* src/sysync/syncsessiondispatch.cpp:
	* src/sysync/sysync_md5.cpp:
	* src/sysync/sysync_md5.h:
	* src/sysync_SDK/Sources/generic_types.h:

	64 bit: adjusted generic_types.h to make sure uInt32/sInt32 IS
	32bits

2009-10-02  Lukas Zeller  <luz@synthesis.ch>

	* src/syncapps/clientEngine_custom/clientengine_custom_Base.cpp:
	* src/syncapps/clientEngine_custom/product_options.h:
	* src/syncapps/serverEngine_custom/product_options.h:
	* src/syncapps/serverEngine_custom/serverengine_custom_Base.cpp:
	* src/sysync/binfileimplclient.cpp:
	* src/sysync/customimplagent.cpp:
	* src/sysync/engineinterface.cpp:
	* src/sysync/engineinterface.h:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncappbase.cpp:
	* src/sysync/syncclientbase.cpp:
	* src/sysync_SDK/Sources/enginemodulebase.h:
	* src/sysync_SDK/Sources/sync_dbapidef.h:

	unilib: prepared co-existence of server and client library
	instance, added entry points

2009-10-01  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapiagent.cpp:
	* src/DB_interfaces/api_db/pluginapiagent.h:
	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/DB_interfaces/api_db/pluginapids.h:
	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:
	* src/DB_interfaces/odbc_db/odbcapiagent.h:
	* src/DB_interfaces/odbc_db/odbcdb.h:
	* src/global_options.h:
	* src/sysync/binfileimplclient.cpp:
	* src/sysync/binfileimplclient.h:
	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:
	* src/sysync/customimplagent.cpp:
	* src/sysync/customimplagent.h:
	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:
	* src/sysync/stdlogicagent.cpp:
	* src/sysync/stdlogicagent.h:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncagent.h:
	* src/sysync/sysync_precomp.h:

	unilib: binfile/customimpl: Now binfile can be included but kept
	inactive

2009-10-01  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/binfileimplclient.cpp:
	* src/sysync/binfileimplclient.h:
	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:
	* src/sysync/syncsession.h:

	binfiles: made binfileimplclient/ds such that they can be
	switched off (e.g. for unilib server)

2009-10-01  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncagent.cpp:
	* src/sysync/syncagent.h:

	unilib: unified TClientParamsKey and TServerParamsKey into
	TAgentParamsKey

2009-10-01  Lukas Zeller  <luz@synthesis.ch>

	* src/Transport_interfaces/engine/engineclientbase.h:
	* src/Transport_interfaces/engine/enginesessiondispatch.h:
	* src/syncapps/sysytool/sysytool.cpp:
	* src/sysync/binfileimplclient.h:
	* src/sysync/localengineds.cpp:
	* src/sysync/remotedatastore.cpp:
	* src/sysync/stdlogicagent.h:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncagent.h:
	* src/sysync/syncappbase.h:
	* src/sysync/syncclient.h:
	* src/sysync/syncclientbase.cpp:
	* src/sysync/syncclientbase.h:
	* src/sysync/syncserver.h:
	* src/sysync/syncsession.h:
	* src/sysync/syncsessiondispatch.h:

	unlib: including syncagent.h everywhere where we had syncclient.h
	or syncserver.h

2009-09-30  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapiagent.cpp:
	* src/DB_interfaces/api_db/pluginapiagent.h:
	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:
	* src/DB_interfaces/odbc_db/odbcapiagent.h:
	* src/Transport_interfaces/engine/enginesessiondispatch.cpp:
	* src/Transport_interfaces/engine/enginesessiondispatch.h:
	* src/sysync/binfileimplclient.cpp:
	* src/sysync/binfileimplclient.h:
	* src/sysync/customimplagent.cpp:
	* src/sysync/customimplagent.h:
	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/mimedirprofile.cpp:
	* src/sysync/remotedatastore.cpp:
	* src/sysync/remotedatastore.h:
	* src/sysync/stdlogicagent.cpp:
	* src/sysync/stdlogicagent.h:
	* src/sysync/syncagent.cpp:
	* src/sysync/syncagent.h:
	* src/sysync/syncappbase.cpp:
	* src/sysync/syncappbase.h:
	* src/sysync/syncclient.cpp:
	* src/sysync/syncclient.h:
	* src/sysync/syncclientbase.cpp:
	* src/sysync/syncclientbase.h:
	* src/sysync/synccommand.cpp:
	* src/sysync/syncserver.cpp:
	* src/sysync/syncserver.h:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:
	* src/sysync/syncsessiondispatch.cpp:
	* src/sysync/syncsessiondispatch.h:

	unilib: united former syncserver/syncclient into syncagent.h/.cpp

2009-09-29  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapiagent.cpp:
	* src/DB_interfaces/api_db/pluginapiagent.h:
	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:
	* src/DB_interfaces/odbc_db/odbcapiagent.h:
	* src/DB_interfaces/odbc_db/odbcapids.cpp:
	* src/global_options.h:
	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:
	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/multifielditem.cpp:
	* src/sysync/multifielditem.h:
	* src/sysync/multifielditemtype.cpp:
	* src/sysync/remotedatastore.cpp:
	* src/sysync/stdlogicagent.cpp:
	* src/sysync/stdlogicagent.h:
	* src/sysync/stdlogicds.cpp:
	* src/sysync/stdlogicds.h:
	* src/sysync/superdatastore.cpp:
	* src/sysync/superdatastore.h:
	* src/sysync/syncappbase.cpp:
	* src/sysync/syncclient.cpp:
	* src/sysync/synccommand.cpp:
	* src/sysync/synccommand.h:
	* src/sysync/syncsession.cpp:
	* src/sysync/sysync_globs.h:
	* src/sysync/textprofile.cpp:

	unilib started: engine version 3.3.0.0 to differentiate from
	normal 3.2.x.x non-unified builds

2009-09-28  Beat Forster  <elisabethegli@beat-forsters-macbook-pro.local>

	* src/sysync_SDK/DB_Interfaces/text_db/sync_dbapi_text.cpp:

	save changed nonce value (again)

2009-09-09  Beat Forster  <elisabethegli@beat-forsters-macbook-pro.local>

	* src/platform_adapters/linux/configfiles.cpp:
	* src/platform_adapters/linux/platform_time.cpp:
	* src/sysync_SDK/DB_Interfaces/text_db/sync_dbapi_text.cpp:

	cleanup: appCharP type casting added, some updates for Android
	port

2009-09-25  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/scriptcontext.cpp:

	scripts: added TIMEONLY() function, enhanced POINTINTIME() not
	only to convert duration, but also dateonly and timeonly to
	timestamp

2009-09-25  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/customimplds.cpp:

	debug log: wrapped finalizing item into block which shows localID

2009-09-25  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/odbc_db/odbcapids.cpp:

	Debug output cosmetics (array map name is always "array", so do
	not show it)

2009-09-24  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncclient.cpp:

	client engine: when incoming data is not SyncML, this must abort
	the session and dump the message

2009-10-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Makefile.am.in:

	libsynthesis + autotools: must be linked against libz

2009-09-30  Beat Forster  <bfo@synthesis.ch>

	* src/sysync_SDK/DB_Interfaces/text_db/sync_dbapi_text.cpp:

	SetNonce fChanged problem fixed; some type casting cAppChar

2009-09-24  Lukas Zeller  <luz@synthesis.ch>


	Merge remote branch 'moblin/master' into luz

2009-09-24  Lukas Zeller  <luz@synthesis.ch>

	* src/Transport_interfaces/engine/enginesessiondispatch.cpp:
	* src/Transport_interfaces/engine/enginesessiondispatch.h:
	* src/sysync/syncappbase.cpp:
	* src/sysync/syncappbase.h:
	* src/sysync/syncclient.cpp:
	* src/sysync/syncserver.cpp:
	* src/sysync/syncserver.h:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:

	libsynthesis_srv: implementation complete - runs sync sessions ok
	with textDB backend.

2009-09-24  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/localengineds.cpp:
	* src/sysync/mimedirprofile.cpp:
	* src/sysync/syncsession.cpp:

	cleanup: eliminated some compiler warnings about shadowing local
	declarations

2009-09-24  Lukas Zeller  <luz@synthesis.ch>

	* src/Targets/ReleasedProducts/serverEngine_opensource_linux/target_options.h:
	* src/server_engine_linux.mk:
	* src/syncapps/serverEngine_custom/product_options.h:

	libsynthesis_srv configuration adjusted

2009-09-24  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync_SDK/configs/syncserv_sample_config.xml:

	libsynthesis_srv: added sample config for a TextDB based server

2009-09-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync_SDK/Sources/engine_defs.h:

	event codes: reserve range for application use

2009-09-22  Lukas Zeller  <luz@synthesis.ch>

	* src/Targets/ReleasedProducts/serverEngine_opensource_linux/serverengine_demo++.pch:
	* src/Targets/ReleasedProducts/serverEngine_opensource_linux/serverengine_demo.pch:
	* src/Targets/ReleasedProducts/serverEngine_opensource_linux/serverengine_opensource++.pch:
	* src/Targets/ReleasedProducts/serverEngine_opensource_linux/serverengine_opensource.pch:
	* src/Transport_interfaces/engine/engine_server.h:
	* src/Transport_interfaces/engine/engine_server_precomp.h:
	* src/Transport_interfaces/engine/enginesessiondispatch.cpp:
	* src/Transport_interfaces/engine/enginesessiondispatch.h:
	* src/client_engine_linux.mk:
	* src/server_engine_linux.mk:
	* src/syncapps/serverEngine_custom/product_options.h:
	* src/syncapps/serverEngine_custom/serverengine_custom.h:
	* src/syncapps/serverEngine_custom/serverengine_custom_Base.cpp:
	* src/syncapps/serverEngine_custom/serverengine_custom_Base.h:
	* src/syncapps/serverEngine_custom/serverengine_custom_precomp.h:

	libsynthesis_srv: added required files, traditional non-automake
	works for server engine

2009-09-22  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/localengineds.cpp:

	engine: statistics workaround for servers not sending status 201
	for completed adds

2009-09-21  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:
	* src/sysync/binfileimplclient.cpp:
	* src/sysync/localengineds.cpp:
	* src/sysync/scriptcontext.cpp:
	* src/sysync/synccommand.cpp:
	* src/sysync/synccommand.h:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:
	* src/sysync_SDK/Sources/engine_defs.h:

	engine 3.2.1.0: added "lenientMode" to ignore anchor mismatches
	in client, ignore missing status for get/alert 222

2009-09-21  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:

	engine 3.2.0.35 - stable version used in synthesis products

2009-09-21  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncsession.cpp:

	memory leak fixed: session script context was not deleted in
	session destructor

2009-09-21  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/binfilebase.cpp:
	* src/sysync/binfilebase.h:
	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:

	binfiles: added smooth upgrading from changelog V2 to V3/V4 to
	avoid slow syncs

2009-09-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncclient.cpp:

	Revert "client state engine: allow multiple calls with
	STEP_SENTDATA"

2009-09-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncclient.cpp:

	client state engine: allow multiple calls with STEP_SENTDATA

2009-09-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Makefile.am.in:

	compiler warning on Linux: vasprintf() not declared unless
	_GNU_SOURCE is set, SDK

2009-09-15  Patrick Ohly  <patrick.ohly@intel.com>


	Merge commit 'synthesis/luz'

2009-09-15  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:
	* src/sysync/localengineds.cpp:
	* src/sysync/synccommand.cpp:
	* src/sysync/sysync_globs.h:

	Revert "client + statistics workaround: treat status 200 as 201
	for Replace cmd (which is really"

2009-09-15  Chen Congwu  <congwu.chen@intel.com>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:

	binfileds: multi-profile safe reliable detection of adds (vs.
	replaces) for sync clients

2009-09-15  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/customimplds.cpp:

	compiler warning: #endif DBAPI_TUNNEL_SUPPORT

2009-09-15  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Targets/ReleasedProducts/clientEngine_opensource_linux/clientengine_demo_x86_linux_prefix.h:

	compiler warning on Linux: vasprintf() not declared unless
	_GNU_SOURCE is set

2009-09-15  Patrick Ohly  <patrick.ohly@intel.com>


	Merge commit 'synthesis/luz'

2009-09-14  Lukas Zeller  <luz@synthesis.ch>

	* src/syncml_tk/src/sml/mgr/all/mgrinstancemgr.c:
	* src/sysync/syncclient.cpp:

	Client: made silently swallow garbage after end of incoming
	SyncML message

2009-07-16  Chen Congwu  <congwu.chen@intel.com>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:
	* src/sysync/localengineds.cpp:
	* src/sysync/synccommand.cpp:
	* src/sysync/sysync_globs.h:

	client + statistics workaround: treat status 200 as 201 for
	Replace cmd (which is really an Add)

2009-09-14  Lukas Zeller  <luz@synthesis.ch>


	Merge remote branch 'moblin/congwu' into luz

2009-09-14  Beat Forster  <bfo@synthesis.ch>

	* src/DB_interfaces/api_db/dbapi.cpp:
	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/platform_adapters/binfile.h:
	* src/platform_adapters/linux/configfiles.cpp:
	* src/platform_adapters/linux/platform_timezones.cpp:
	* src/platform_adapters/platform_thread.h:
	* src/platform_adapters/unix_common/platform_file.cpp:
	* src/platform_adapters/unix_common/platform_thread.cpp:
	* src/sysync/binfilebase.h:
	* src/sysync/binfileimplds.h:
	* src/sysync/customimplds.cpp:
	* src/sysync/stringutils.h:
	* src/sysync/syncexception.h:
	* src/sysync/sysync_globs.h:
	* src/sysync/textitemtype.cpp:
	* src/sysync/timezones.cpp:
	* src/sysync/vtimezone.cpp:
	* src/sysync_SDK/Sources/SDK_support.cpp:
	* src/sysync_SDK/Sources/SDK_support.h:
	* src/sysync_SDK/Sources/blobs.h:
	* src/sysync_SDK/Sources/dbitem.cpp:
	* src/sysync_SDK/Sources/dbitem.h:

	Adaptations in preparation for new platform and Tunnel API
	cleanup

2009-09-14  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncclient.cpp:
	* src/sysync/syncclient.h:

	Client: Endless Alert222 detection (with luz' patch to use
	lineartime_t, not time_t)

2009-09-14  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/engineinterface.cpp:

	engineinterface: InsertItem/InsertItemAsKey signatures are fixed,
	removed casts/warnings

2009-09-14  Chen Congwu  <congwu.chen@intel.com>

	* src/sysync/syncclient.cpp:
	* src/sysync/syncclient.h:

	Client: Endless Alert222 detection

2009-09-08  Beat Forster  <bfo@synthesis.ch>

	* src/sysync_SDK/Sources/enginemodulebridge.cpp:
	* src/sysync_SDK/Sources/enginemodulebridge.h:

	signature InsertItem/AsKey corrected: ItemID instead of cItemID

2009-09-08  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/multifielditemtype.cpp:
	* src/sysync/scriptcontext.cpp:
	* src/sysync/syncserver.cpp:

	libsynthesis_srv: changes to make it compilable (not yet
	functional, however)

2009-09-08  Beat Forster  <bfo@synthesis.ch>

	* src/sysync_SDK/Sources/SDK_util.c:

	buffer size for debug output is no longer restricted to 1kB on
	Mac/Linux

2009-09-08  Beat Forster  <bfo@synthesis.ch>

	* src/sysync_SDK/DB_Interfaces/snowwhite/oceanblue.cpp:
	* src/sysync_SDK/DB_Interfaces/snowwhite/oceanblue.h:
	* src/sysync_SDK/DB_Interfaces/snowwhite/snowwhite.cpp:
	* src/sysync_SDK/Sources/SDK_support.cpp:
	* src/sysync_SDK/Sources/SDK_support.h:
	* src/sysync_SDK/Sources/enginemodulebase.cpp:
	* src/sysync_SDK/Sources/enginemodulebase.h:

	array support for tunnel asKey / new itemkey before update/insert
	operations / UI_Open+Close moved to app_demo

2009-09-08  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/itemfield.cpp:

	DBAPI_TUNNEL_SUPPORT: fixed problem with item TZ reading of DATE
	and DURATION timestamps

2009-09-08  Lukas Zeller  <luz@synthesis.ch>

	* src/Targets/ReleasedProducts/clientEngine_opensource_linux/target_options.h:

	Comment cosmetics

2009-09-08  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/odbc_db/odbcapids.cpp:

	ODBC/SQL: commented out excessive log messages for substitution

2009-09-08  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/binfilebase.cpp:
	* src/sysync/binfilebase.h:

	binfiles: added checking for record size, should catch
	32bit<->64bit data migration issues

2009-09-08  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/DB_interfaces/api_db/pluginapids.h:
	* src/Targets/clientEngine_dbg/target_options.h:
	* src/global_options.h:
	* src/sysync/binfileimplclient.cpp:
	* src/sysync/binfileimplclient.h:
	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:
	* src/sysync/customimplagent.cpp:
	* src/sysync/customimplagent.h:
	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:
	* src/sysync/engineentry.cpp:
	* src/sysync/engineentry.h:
	* src/sysync/engineinterface.cpp:
	* src/sysync/engineinterface.h:
	* src/sysync/localengineds.cpp:
	* src/sysync/localengineds.h:
	* src/sysync/multifielditem.cpp:
	* src/sysync/multifielditem.h:
	* src/sysync/syncappbase.cpp:
	* src/sysync/syncclient.cpp:
	* src/sysync/syncclient.h:
	* src/sysync/syncclientbase.cpp:
	* src/sysync/syncsession.h:
	* src/sysync_SDK/Sources/engine_defs.h:
	* src/sysync_SDK/Sources/sync_dbapidef.h:

	DBAPI_TUNNEL_SUPPORT: Implemented now. This allows directly
	accessing data items from the main application (e.g. for test)

2009-09-08  Lukas Zeller  <luz@synthesis.ch>

	* src/Targets/ReleasedProducts/serverEngine_opensource_linux/define.h:
	* src/Targets/ReleasedProducts/serverEngine_opensource_linux/serverengine_demo++.pch:
	* src/Targets/ReleasedProducts/serverEngine_opensource_linux/serverengine_demo.pch:
	* src/Targets/ReleasedProducts/serverEngine_opensource_linux/serverengine_opensource_linux_prefix.h:
	* src/Targets/ReleasedProducts/serverEngine_opensource_linux/target_options.h:

	libsynthesis_srv: added new target files for SyncML server
	variant of libsynthesis

2009-09-08  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:
	* src/sysync/localengineds.cpp:
	* src/sysync/synccommand.cpp:
	* src/sysync/sysync_globs.h:

	REVERTED for now: Add/Replace statistics workaround

2009-09-08  Lukas Zeller  <luz@synthesis.ch>

	* src/syncml_tk/src/sml/xlt/all/xltdevinf.c:

	devInf without datastore list: clarified comments why this is
	needed (comment change only)

2009-09-08  Lukas Zeller  <luz@synthesis.ch>


	Merge remote branch 'moblin/yongsheng'

2009-09-08  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncclient.cpp:
	* src/sysync/syncclient.h:

	STEPCMD_RESENDDATA: modified such that it is clear state is
	different from after STEPCMD_SENDDATA

2009-09-03  Patrick Ohly  <patrick.ohly@gmx.de>

	* src/sysync/debuglogger.cpp:

	TDebugLoggerBase::DebugOpenBlock: fixed build failure on Alpha
	CPU architecture

2009-09-03  Zhu, Yongsheng  <yongsheng.zhu@intel.com>

	* src/syncml_tk/src/sml/xlt/all/xltdevinf.c:

	DevInf: Allow devinf not containing datastore when encoding

2009-09-03  Zhu, Yongsheng  <yongsheng.zhu@intel.com>

	* src/sysync/syncclient.cpp:

	Message: do 'FinishMessage' processing at the end of session

2009-08-25  Patrick Ohly  <patrick.ohly@gmx.de>

	* src/Makefile.am.in:

	bumped version to current/revision/age 2/0/2 because of
	STEP_RESENDDATA

2009-07-22  Chen Congwu  <congwu.chen@intel.com>

	* src/sysync/syncclient.cpp:
	* src/sysync_SDK/Sources/engine_defs.h:

	Client+Resend data: bug#3427, add sysync::STEP_RESENDDATA

2009-08-18  Patrick Ohly  <patrick.ohly@gmx.de>

	* src/sysync/stdlogicds.cpp:

	Revert "slow sync: avoid empty anchors, that confuses
	ScheduleWorld"

2009-08-18  Patrick Ohly  <patrick.ohly@gmx.de>


	Merge commit 'synthesis/master'

2009-08-13  Patrick Ohly  <patrick.ohly@gmx.de>

	* src/sysync/itemfield.cpp:

	reading keys: fixed string handling errors

2009-08-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/vtimezone.cpp:
	* src/sysync/vtimezone.h:

	vtimezone: accept alternative line ends, using const string & for
	efficiency

2009-08-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/sysync_utils.cpp:

	compiler warning in generateNonce(): casting char array

2009-08-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/synccommand.cpp:

	TSyncCommand::analyze: compiler warning about uninitialized
	variable (return code!)

2009-08-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/engineinterface.cpp:

	TSettingsKeyImpl::SetValueByID: compiler warning about pointer
	aliasing

2009-08-12  Lukas Zeller  <luz@synthesis.ch>


	Merge commit 'origin/master'

2009-08-12  Beat Forster  <bfo@synthesis.ch>

	* src/sysync_SDK/Sources/SDK_util.c:
	* src/sysync_SDK/Sources/sync_dbapidef.h:

	SDK version changed to 1.6.0

2009-08-12  Beat Forster  <bfo@synthesis.ch>

	* src/sysync_SDK/DB_Interfaces/text_db/sync_dbapi_text.cpp:
	* src/sysync_SDK/Sources/dbitem.cpp:
	* src/sysync_SDK/Sources/dbitem.h:

	TextDB: minor fixes

2009-08-12  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:
	* src/sysync/binfileimplclient.cpp:

	engine 3.2.0.33: enhanced URIpath profile settings functionality

2009-08-12  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/mimedirprofile.cpp:

	mimedirprofile: autoenddate 23:59:59 detection bug fixed

2009-08-11  Zhu, Yongsheng  <yongsheng.zhu@intel.com>

	* src/sysync/rrules.cpp:

	RRULE: rrule2internal will lose the last item of daylist of
	fields like 'BY***'

2009-08-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/engineinterface.cpp:

	TSettingsKeyImpl::SetValueByID: compiler warning about pointer
	aliasing

2009-08-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/synccommand.cpp:

	TSyncCommand::analyze: compiler warning about uninitialized
	variable (return code!)

2009-08-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/sysync_utils.cpp:

	appendRFC2047AsUTF8: compiler warning about uninitialized
	variable

2009-08-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/sysync_utils.cpp:

	compiler warning in generateNonce(): casting char array

2009-07-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/stdlogicds.cpp:

	slow sync: avoid empty anchors, that confuses ScheduleWorld

2009-07-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/vtimezone.cpp:

	timezone parsing: accept \r\n and \r as line ends in addition to
	\n

2009-07-28  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/vtimezone.cpp:
	* src/sysync/vtimezone.h:

	vtimezone: use const string & instead of string copy

2009-07-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/linux/platform_timezones.cpp:

	Linux timezones: previous fix for icalcomponent_as_ical_string_r
	was incomplete

2009-07-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/linux/platform_timezones.cpp:

	Linux timezones: compile fix for libecal and
	--disable-evolution-compatibility

2009-07-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/linux/platform_timezones.cpp:

	Linux timezones: use icalcomponent_as_ical_string_r() if possible

2009-07-17  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:
	* configure.in:
	* synthesis.pc.in:

	autotools: added synthesis.pc file for pkg-config

2009-07-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/linux/platform_timezones.cpp:

	Linux timezones: avoid compiler warning

2009-07-16  Chen Congwu  <congwu.chen@intel.com>

	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:
	* src/sysync/localengineds.cpp:
	* src/sysync/synccommand.cpp:
	* src/sysync/sysync_globs.h:

	client + statistics workaround: treat status 200 as 201 for
	Replace cmd (which is really an Add)

2009-07-15  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.in:
	* src/platform_adapters/linux/platform_timezones.cpp:

	autotools: add --enable-evolution-compatibility

2009-07-15  Patrick Ohly  <patrick.ohly@intel.com>

	* README:

	README: mentioned that expat 2.x can be used instead of the older
	expat 1.x

2009-07-14  Patrick Ohly  <patrick.ohly@intel.com>


	Merge commit 'origin/master'

2009-07-13  Patrick Ohly  <patrick.ohly@intel.com>

	* autogen.sh:

	autgen.sh: wipe out old files before recreating them

2009-07-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/synthesis-linker.map:

	SySyncDebugPuts: fixed dynamic link problem

2009-07-10  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncserver.cpp:
	* src/sysync/syncserver.h:

	server: fixed to compile again with ENGINEINTERFACE_SUPPORT (for
	XXXAsKey) but no ENGINE_LIBRARY (traditional Synthesis builds)

2009-07-10  Beat Forster  <bfo@synthesis.ch>

	* src/syncml_tk/src/sml/xlt/all/xltdecxml.c:

	syncml_tk: Fix for BOM checker: In pure C variables must be
	defined before any other statement

2009-07-10  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncclient.cpp:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:

	Suspend ALERT: renamed flags and accessors to include "suspend"
	(to make clear it is the suspend alert)

2009-07-10  Lukas Zeller  <luz@synthesis.ch>


	Merge commit 'moblin/congwu'

2009-07-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync_SDK/Sources/enginemodulebase.cpp:
	* src/sysync_SDK/Sources/enginemodulebase.h:

	TEngineModuleBridge::Term() + fCI: memory leak

2009-07-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/scriptcontext.cpp:

	MakeTextWithProfile: did not free profile handler

2009-07-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/mimedirprofile.cpp:

	MIMEStringToField: unitialized time context

2009-07-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/engineinterface.cpp:

	TSettingsKeyImpl::checkFieldAttrs: don't read before start of
	string

2009-07-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/engineentry.cpp:
	* src/sysync/syncclientbase.cpp:
	* src/sysync/syncclientbase.h:
	* src/sysync_SDK/Sources/enginemodulebase.h:
	* src/sysync_SDK/Sources/sync_dbapidef.h:

	engine logging: new API with more information provided to the
	engine

2009-07-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/debuglogger.h:

	engine logging: fix message dumping in combination with
	<logsessionstoglobal>

2009-07-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/scriptcontext.cpp:

	fixed compiler warnings: signed/unsigned comparison

2009-07-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/syncsession.cpp:

	configuration: accept configs without any datastore definition

2009-06-26  Chen Congwu  <congwu.chen@intel.com>

	* src/sysync/syncclient.cpp:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:

	Suspend ALERT: make sure synthesis client sends the suspend alert

2009-07-01  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/mimedirprofile.cpp:
	* src/sysync/mimedirprofile.h:

	remoterules build dependency removed - new setRemoteRule()
	function implementation needed #ifdefs

2009-07-01  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/debuglogger.cpp:
	* src/sysync/debuglogger.h:
	* src/sysync/syncappbase.cpp:
	* src/sysync/syncappbase.h:
	* src/sysync/syncsession.cpp:

	engine logging: added <logsessionstoglobal> to direct session
	logs into global log

2009-07-01  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/scriptcontext.cpp:
	* src/sysync/scriptcontext.h:

	scripts: Added macro arguments for script macros

2009-06-26  tester  <tester@knlcst4.ikn.intel.com>

	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:

	compiler warning: uninitialized variable

2009-06-26  tester  <tester@knlcst4.ikn.intel.com>

	* src/sysync/syncsession.cpp:

	compiler warning: parenthesis in boolean expression

2009-06-26  zhu, yongsheng  <yongsheng.zhu@intel.com>

	* src/sysync/mimedirprofile.cpp:

	MIMEPROFILE: Add \N to represent newline

2009-06-25  tester  <tester@knlcst4.ikn.intel.com>

	* configure.in:

	configure + XML lib: fixed the situation where only expat was
	installed

2009-06-25  Patrick Ohly  <patrick.ohly@intel.com>


	Merge commit 'moblin/yong'

2009-06-25  Patrick Ohly  <patrick.ohly@intel.com>


	Merge commit 'origin/master'

2009-06-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Makefile.am.in:
	* src/sysync/mimedirprofile.cpp:
	* src/sysync/mimedirprofile.h:
	* src/sysync/multifielditem.h:
	* src/sysync/scriptcontext.cpp:

	MAKE/PARSETEXTWITHPROFILE: added remote rule name parameter

2009-06-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/Targets/ReleasedProducts/clientEngine_opensource_linux/target_options.h:

	compile configuration: enable remote rules in client engine

2009-06-22  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/stdlogicds.cpp:
	* src/sysync/syncclient.cpp:
	* src/sysync/syncsession.cpp:
	* src/sysync/syncsession.h:

	engine: cleaned up around fRemoteMustSeeDevinf and
	mustSendDevInf()

2009-06-22  Wu, Yong  <yong.wu@intel.com>

	* src/sysync/syncclient.cpp:

	client: Added check to make sure devInf gets sent (Put) to server
	when config has changed

2009-06-22  Wu, Yong  <yong.wu@intel.com>

	* src/sysync/syncappbase.h:

	Avoid "if without value" compiling warnings.

2009-06-19  Wu, Yong  <yong.wu@intel.com>

	* configure.in:

	Fix a typo in help text.

2009-06-19  Wu, Yong  <yong.wu@intel.com>

	* configure.in:
	* src/sysync/syncappbase.h:

	Bug 3312. add expat support. Synthesis can work in 3 modes: a)
	system expat, b) system xmltok, c) builtin xmltok. The original
	configuration works with either system xmltok or builtin xmltok.
	We added the expat support and made expat as the default xml
	parser.

2009-06-18  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/DB_interfaces/api_db/pluginapids.h:
	* src/DB_interfaces/odbc_db/odbcapids.h:
	* src/global_options.h:
	* src/sysync/binfileimplclient.cpp:
	* src/sysync/binfileimplds.cpp:
	* src/sysync/binfileimplds.h:
	* src/sysync/customimplds.cpp:
	* src/sysync/customimplds.h:
	* src/sysync/engineinterface.cpp:
	* src/sysync/sysync_utils.cpp:

	engine 3.2.0.32: cleaned up binfile changelog update tracking

2009-06-16  Lukas Zeller  <luz@synthesis.ch>

	* Synthesis_AG_Contributor_Agreement.doc:

	Contributor agreement: Added Word version for helping incremental
	workflows completing the agreement

2009-06-10  Lukas Zeller  <luz@synthesis.ch>

	* doc/SySync_config_reference.doc:
	* doc/SySync_config_reference.pdf:

	docs: updated SySync_config_reference for engine 3.2.0.31

2009-06-10  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:

	engine 3.2.0.31

2009-06-10  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/api_db/pluginapids.cpp:
	* src/sysync/localengineds.cpp:
	* src/sysync/syncappbase.h:
	* src/sysync/syncclientbase.cpp:
	* src/sysync/syncclientbase.h:
	* src/sysync/syncserver.cpp:
	* src/sysync/syncserver.h:

	server engine: some preparations, work in progress

2009-06-10  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncclient.cpp:
	* src/sysync/syncclient.h:
	* src/sysync/sysync_globs.h:

	client: added "smart" retry (mainly as ZYB workaround)

2009-06-10  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/scriptcontext.cpp:
	* src/sysync/syncsession.cpp:

	Scripting: Made SETLOG, SETDEBUGLOG and SETREADONLY generally
	accessible

2009-06-10  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/binfileimplclient.cpp:
	* src/sysync/binfileimplclient.h:
	* src/sysync/binfileimplds.cpp:
	* src/sysync/engineinterface.cpp:
	* src/sysync/itemfield.cpp:
	* src/sysync_SDK/Sources/engine_defs.h:

	engine: settings key access improvements

2009-06-10  Lukas Zeller  <luz@synthesis.ch>

	* src/DB_interfaces/odbc_db/odbcapiagent.cpp:
	* src/sysync/customimplagent.cpp:
	* src/sysync/customimplagent.h:
	* src/sysync/lineartime.h:

	DB interfacing: support for Apple "nsdate" DB field type

2009-06-10  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/customimplds.cpp:
	* src/sysync/dataobjtype.cpp:
	* src/sysync/multifielditem.h:
	* src/sysync/timezones.h:

	warnings elimination

2009-06-09  zhu, yongsheng  <yongsheng.zhu@intel.com>

	* src/syncml_tk/src/sml/xlt/all/xltdecxml.c:

	  BOM Processing for SyncML Toolkit

2009-05-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/platform_adapters/linux/platform_timezones.cpp:

	libical time zone import: imported time zones were skipped during
	matching

2009-05-12  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:
	* src/sysync/mimedirprofile.cpp:
	* src/sysync/mimedirprofile.h:

	mime-dir: added "expandedlist" option for <property values="..">

2009-05-12  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/iso8601.cpp:

	iso8601: less than 1h negative minute offset was displayed as
	positive

2009-05-12  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/engineinterface.cpp:
	* src/sysync/engineinterface.h:

	engine interface: added support for querying value type in all
	settings keys

2009-05-12  Beat Forster  <bfo@synthesis.ch>

	* src/sysync/timezones.cpp:
	* src/sysync/tz_table.h:
	* src/sysync/vtimezone.cpp:
	* src/sysync/vtimezone.h:

	timezones: improved matching for UTC, bug fix

2009-05-12  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync_SDK/configs/syncclient_sample_config.xml:

	sample client config: EXDATE is comma separated in iCalendar 2.0!

2009-05-07  Lukas Zeller  <luz@synthesis.ch>

	* Synthesis_AG_Contributor_Agreement.pdf:

	Contributor Agreement: clarified "Contributor" term, more space
	for filling out the form

2009-05-05  Beat Forster  <bfo@synthesis.ch>

	* src/sysync/vtimezone.cpp:

	timezones: zones without DST rules (e.g. China) will be
	recognized correctly

2009-05-05  Beat Forster  <bfo@synthesis.ch>

	* src/sysync/vtimezone.cpp:

	timezones: pure minute offset TZ will now get TZID with name,
	e.g. TZID:OFFS-0057 or TZID:OFFS+0130

2009-05-05  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncserver.cpp:

	sysytool: made sure pseudo test session is in "remote understands
	UTC" mode.

2009-05-05  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/mimedirprofile.cpp:

	vCalendar 1.0 TZ parsing: now searches in internal zone list

2009-05-04  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:

	Version changed to 3.2.0.27

2009-05-04  Lukas Zeller  <luz@synthesis.ch>

	* src/syncml_tk/src/sml/xlt/all/xltenc.c:

	SyncML-TK: fixed strange bracketing found by Gary Tyler

2009-05-04  Lukas Zeller  <luz@synthesis.ch>

	* src/sysync/syncclientbase.cpp:
	* src/sysync_SDK/Sources/engine_defs.h:

	Suspend: Fixed problem with STEPCMD_SUSPEND

2009-05-04  Beat Forster  <bfo@synthesis.ch>

	* src/sysync_SDK/Sources/SDK_support.cpp:
	* src/sysync_SDK/Sources/SDK_support.h:

	SDK_support: Added CLine:GetName()

2009-04-22  Lukas Zeller  <luz@synthesis.ch>

	* src/global_options.h:

	Version changed to 3.2.0.26

2009-04-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/sysync/vtimezone.cpp:

	time zones: VTIMEZONE definitions may end in \r\n, strip \r from
	name

2009-04-17  Synthesis AG  <opensource@synthesis.ch>


	Initial Commit by Synthesis AG for Open Source libsynthesis
	3.2.0.25 and libsmltk

